﻿using System;
using System.Linq;
using Microsoft.AspNetCore.Mvc;
using Sales.Data;

namespace Sales.API.Controllers
{
    [Route("api/[controller]")]
    [ApiController]
    public class LookupsController : ControllerBase
    {
        private readonly SalesContext _context;

        public LookupsController(SalesContext context)
        {
            _context = context;
        }

        [HttpGet()]
        public IActionResult GetLookups()
        {
            return Ok(new {
                Products = _context.ProductDim.ToList(),
                Segments = _context.SegmentDim.ToList(),
                Countries = _context.CountryDim.ToList()
            });
        }
    }
}