﻿using System;
using Microsoft.EntityFrameworkCore;
using Microsoft.EntityFrameworkCore.Metadata;
using Sales.Data.Model;

namespace Sales.Data
{
    public partial class SalesContext : DbContext
    {
        public SalesContext()
        {
        }

        public SalesContext(DbContextOptions<SalesContext> options)
            : base(options)
        {
        }

        public virtual DbSet<CountryDim> CountryDim { get; set; }
        public virtual DbSet<ProductDim> ProductDim { get; set; }
        public virtual DbSet<ProductPermission> ProductPermission { get; set; }
        public virtual DbSet<SalesFact> SalesFact { get; set; }
        public virtual DbSet<SegmentDim> SegmentDim { get; set; }

        protected override void OnConfiguring(DbContextOptionsBuilder optionsBuilder)
        {
            optionsBuilder.UseSqlServer("Server=tcp:noyesdemos.database.windows.net,1433;Initial Catalog=Sales;Persist Security Info=False;User ID=briannoyes@noyesdemos;Password=AzureFTW2017!;MultipleActiveResultSets=False;Encrypt=True;TrustServerCertificate=False;Connection Timeout=300;");
        }

        protected override void OnModelCreating(ModelBuilder modelBuilder)
        {
            modelBuilder.HasAnnotation("ProductVersion", "2.2.2-servicing-10034");

            modelBuilder.Entity<CountryDim>(entity =>
            {
                entity.Property(e => e.Name)
                    .IsRequired()
                    .HasMaxLength(255);
            });

            modelBuilder.Entity<ProductDim>(entity =>
            {
                entity.Property(e => e.Name)
                    .IsRequired()
                    .HasMaxLength(255);
            });

            modelBuilder.Entity<ProductPermission>(entity =>
            {
                entity.Property(e => e.UserId)
                    .IsRequired()
                    .HasMaxLength(100);
            });

            modelBuilder.Entity<SalesFact>(entity =>
            {
                entity.Property(e => e.Cogs)
                    .HasColumnName("COGS")
                    .HasColumnType("money");

                entity.Property(e => e.DiscountBand).HasMaxLength(255);

                entity.Property(e => e.Discounts).HasColumnType("money");

                entity.Property(e => e.GrossSales).HasColumnType("money");

                entity.Property(e => e.ManufacturingPrice).HasColumnType("money");

                entity.Property(e => e.Profit).HasColumnType("money");

                entity.Property(e => e.SalePrice).HasColumnType("money");

                entity.Property(e => e.Sales).HasColumnType("money");
            });

            modelBuilder.Entity<SegmentDim>(entity =>
            {
                entity.Property(e => e.Name)
                    .IsRequired()
                    .HasMaxLength(255);
            });
        }
    }
}
