import { BrowserModule } from '@angular/platform-browser';
import { BrowserAnimationsModule } from '@angular/platform-browser/animations';
import { NgModule } from '@angular/core';
import { HttpClientModule } from '@angular/common/http';
import { FormsModule } from '@angular/forms';

import { TableModule } from 'primeng/table';
import { TabViewModule } from 'primeng/tabview';
import { CalendarModule } from 'primeng/calendar';

import { AppComponent } from './app.component';
import { SalesListComponent } from './edit/sales-list.component';
import { SalesReportComponent } from './reports/sales-report.component';
import { ModalModule } from 'ngx-bootstrap/modal';
import { AddEditSaleComponent } from './edit/add-edit-sale.component';

@NgModule({
  declarations: [
    AppComponent,
    SalesListComponent,
    SalesReportComponent,
    AddEditSaleComponent
  ],
  imports: [
    BrowserModule,
    BrowserAnimationsModule,
    HttpClientModule,
    FormsModule,

    ModalModule.forRoot(),

    TableModule,
    TabViewModule,
    CalendarModule
  ],
  providers: [],
  bootstrap: [AppComponent]
})
export class AppModule { }
