import { Component, OnInit, ViewChild, ElementRef } from '@angular/core';
import { HttpClient } from '@angular/common/http';
import { Constants } from '../constants';
declare var powerbi: any;

@Component({
  selector: 'app-sales-report',
  templateUrl: 'sales-report.component.html',
  styleUrls: ['./sales-report.component.scss']
})

export class SalesReportComponent
  implements OnInit {
  @ViewChild('embeddedReport')
  embeddedReport: ElementRef;
  config: any;

  constructor(private httpClient: HttpClient) { }

  ngOnInit() {
    this.httpClient.get<any>(`${Constants.apiRoot}PowerBI/EmbedConfig?userId=briannoyes`).subscribe(config => {
      this.config = config;
      const model = window['powerbi-client'].models;
      const embedConfig = {
        type: 'report',
        tokenType: model.TokenType.Embed,
        accessToken: config.token,
        embedUrl: config.embedURL,
        permissions: model.Permissions.All,
        settings: {
          filterPaneEnabled: true,
          navContentPaneEnabled: true
        }
      };
      powerbi.embed(this.embeddedReport.nativeElement, embedConfig);
    });
  }
}
