﻿
PRINT N'Creating [dbo].[CountryDim]...';


GO
CREATE TABLE [dbo].[CountryDim] (
    [Id]   BIGINT         IDENTITY (1, 1) NOT NULL,
    [Name] NVARCHAR (255) NOT NULL,
    CONSTRAINT [PK_Country] PRIMARY KEY CLUSTERED ([Id] ASC)
);


GO
PRINT N'Creating [dbo].[ProductDim]...';


GO
CREATE TABLE [dbo].[ProductDim] (
    [Id]   BIGINT         IDENTITY (1, 1) NOT NULL,
    [Name] NVARCHAR (255) NOT NULL,
    CONSTRAINT [PK_Product] PRIMARY KEY CLUSTERED ([Id] ASC)
);


GO
PRINT N'Creating [dbo].[ProductPermission]...';


GO
CREATE TABLE [dbo].[ProductPermission] (
    [Id]        BIGINT         IDENTITY (1, 1) NOT NULL,
    [UserId]    NVARCHAR (100) NOT NULL,
    [ProductId] BIGINT         NOT NULL,
    CONSTRAINT [PK_ProductPermission] PRIMARY KEY CLUSTERED ([Id] ASC)
);


GO
PRINT N'Creating [dbo].[SalesFact]...';


GO
CREATE TABLE [dbo].[SalesFact] (
    [DiscountBand]       NVARCHAR (255) NULL,
    [UnitsSold]          FLOAT (53)     NULL,
    [ManufacturingPrice] MONEY          NULL,
    [SalePrice]          MONEY          NULL,
    [GrossSales]         MONEY          NULL,
    [Discounts]          MONEY          NULL,
    [Sales]              MONEY          NULL,
    [COGS]               MONEY          NULL,
    [Profit]             MONEY          NULL,
    [SegmentId]          BIGINT         NULL,
    [ProductId]          BIGINT         NULL,
    [CountryId]          BIGINT         NULL,
    [Id]                 BIGINT         IDENTITY (1, 1) NOT NULL,
    [Date]               DATE           NULL,
    CONSTRAINT [PK_SalesFact] PRIMARY KEY CLUSTERED ([Id] ASC)
);


GO
PRINT N'Creating [dbo].[SegmentDim]...';


GO
CREATE TABLE [dbo].[SegmentDim] (
    [Id]   BIGINT         IDENTITY (1, 1) NOT NULL,
    [Name] NVARCHAR (255) NOT NULL,
    CONSTRAINT [PK_Segment] PRIMARY KEY CLUSTERED ([Id] ASC)
);


GO
PRINT N'Update complete.';


GO

/*
This script was created by Visual Studio on 2/24/2019 at 5:09 PM.
Run this script on BRIANSP5.temp (BRIANSP5\brian) to make it the same as noyesdemos.database.windows.net.Sales (briannoyes).
This script performs its actions in the following order:
1. Disable foreign-key constraints.
2. Perform DELETE commands. 
3. Perform UPDATE commands.
4. Perform INSERT commands.
5. Re-enable foreign-key constraints.
Please back up your target database before running this script.
*/
SET NUMERIC_ROUNDABORT OFF
GO
SET XACT_ABORT, ANSI_PADDING, ANSI_WARNINGS, CONCAT_NULL_YIELDS_NULL, ARITHABORT, QUOTED_IDENTIFIER, ANSI_NULLS ON
GO
/*Pointer used for text / image updates. This might not be needed, but is declared here just in case*/
DECLARE @pv binary(16)
BEGIN TRANSACTION
SET IDENTITY_INSERT [dbo].[ProductDim] ON
INSERT INTO [dbo].[ProductDim] ([Id], [Name]) VALUES (1, N'Amarilla')
INSERT INTO [dbo].[ProductDim] ([Id], [Name]) VALUES (2, N'Carretera')
INSERT INTO [dbo].[ProductDim] ([Id], [Name]) VALUES (3, N'Montana')
INSERT INTO [dbo].[ProductDim] ([Id], [Name]) VALUES (4, N'Paseo')
INSERT INTO [dbo].[ProductDim] ([Id], [Name]) VALUES (5, N'Velo')
INSERT INTO [dbo].[ProductDim] ([Id], [Name]) VALUES (6, N'VTT')
SET IDENTITY_INSERT [dbo].[ProductDim] OFF
SET IDENTITY_INSERT [dbo].[SegmentDim] ON
INSERT INTO [dbo].[SegmentDim] ([Id], [Name]) VALUES (1, N'Channel Partners')
INSERT INTO [dbo].[SegmentDim] ([Id], [Name]) VALUES (2, N'Enterprise')
INSERT INTO [dbo].[SegmentDim] ([Id], [Name]) VALUES (3, N'Government')
INSERT INTO [dbo].[SegmentDim] ([Id], [Name]) VALUES (4, N'Midmarket')
INSERT INTO [dbo].[SegmentDim] ([Id], [Name]) VALUES (5, N'Small Business')
SET IDENTITY_INSERT [dbo].[SegmentDim] OFF
SET IDENTITY_INSERT [dbo].[CountryDim] ON
INSERT INTO [dbo].[CountryDim] ([Id], [Name]) VALUES (1, N'Canada')
INSERT INTO [dbo].[CountryDim] ([Id], [Name]) VALUES (2, N'France')
INSERT INTO [dbo].[CountryDim] ([Id], [Name]) VALUES (3, N'Germany')
INSERT INTO [dbo].[CountryDim] ([Id], [Name]) VALUES (4, N'Mexico')
INSERT INTO [dbo].[CountryDim] ([Id], [Name]) VALUES (5, N'United States of America')
SET IDENTITY_INSERT [dbo].[CountryDim] OFF
SET IDENTITY_INSERT [dbo].[SalesFact] ON
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (1, N'None', 1618.5, 3.0000, 20.0000, 32370.0000, 0.0000, 32370.0000, 16185.0000, 16185.0000, 3, 2, 1, '20180101')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (2, N'None', 1321, 3.0000, 20.0000, 26420.0000, 0.0000, 26420.0000, 13210.0000, 13210.0000, 3, 2, 3, '20180101')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (3, N'None', 2178, 3.0000, 15.0000, 32670.0000, 0.0000, 32670.0000, 21780.0000, 10890.0000, 4, 2, 2, '20180601')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (4, N'None', 888, 3.0000, 15.0000, 13320.0000, 0.0000, 13320.0000, 8880.0000, 4440.0000, 4, 2, 3, '20180601')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (5, N'None', 2470, 3.0000, 15.0000, 37050.0000, 0.0000, 37050.0000, 24700.0000, 12350.0000, 4, 2, 4, '20180601')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (6, N'None', 1513, 3.0000, 350.0000, 529550.0000, 0.0000, 529550.0000, 393380.0000, 136170.0000, 3, 2, 3, '20181201')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (7, N'None', 921, 5.0000, 15.0000, 13815.0000, 0.0000, 13815.0000, 9210.0000, 4605.0000, 4, 3, 3, '20180301')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (8, N'None', 2518, 5.0000, 12.0000, 30216.0000, 0.0000, 30216.0000, 7554.0000, 22662.0000, 1, 3, 1, '20180601')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (9, N'None', 1899, 5.0000, 20.0000, 37980.0000, 0.0000, 37980.0000, 18990.0000, 18990.0000, 3, 3, 2, '20180601')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (10, N'None', 1545, 5.0000, 12.0000, 18540.0000, 0.0000, 18540.0000, 4635.0000, 13905.0000, 1, 3, 3, '20180601')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (11, N'None', 2470, 5.0000, 15.0000, 37050.0000, 0.0000, 37050.0000, 24700.0000, 12350.0000, 4, 3, 4, '20180601')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (12, N'None', 2665.5, 5.0000, 125.0000, 333187.5000, 0.0000, 333187.5000, 319860.0000, 13327.5000, 2, 3, 1, '20180701')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (13, N'None', 958, 5.0000, 300.0000, 287400.0000, 0.0000, 287400.0000, 239500.0000, 47900.0000, 5, 3, 4, '20180801')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (14, N'None', 2146, 5.0000, 7.0000, 15022.0000, 0.0000, 15022.0000, 10730.0000, 4292.0000, 3, 3, 3, '20180901')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (15, N'None', 345, 5.0000, 125.0000, 43125.0000, 0.0000, 43125.0000, 41400.0000, 1725.0000, 2, 3, 1, '20171001')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (16, N'None', 615, 5.0000, 15.0000, 9225.0000, 0.0000, 9225.0000, 6150.0000, 3075.0000, 4, 3, 5, '20181201')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (17, N'None', 292, 10.0000, 20.0000, 5840.0000, 0.0000, 5840.0000, 2920.0000, 2920.0000, 3, 4, 1, '20180201')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (18, N'None', 974, 10.0000, 15.0000, 14610.0000, 0.0000, 14610.0000, 9740.0000, 4870.0000, 4, 4, 4, '20180201')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (19, N'None', 2518, 10.0000, 12.0000, 30216.0000, 0.0000, 30216.0000, 7554.0000, 22662.0000, 1, 4, 1, '20180601')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (20, N'None', 1006, 10.0000, 350.0000, 352100.0000, 0.0000, 352100.0000, 261560.0000, 90540.0000, 3, 4, 3, '20180601')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (21, N'None', 367, 10.0000, 12.0000, 4404.0000, 0.0000, 4404.0000, 1101.0000, 3303.0000, 1, 4, 3, '20180701')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (22, N'None', 883, 10.0000, 7.0000, 6181.0000, 0.0000, 6181.0000, 4415.0000, 1766.0000, 3, 4, 4, '20180801')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (23, N'None', 549, 10.0000, 15.0000, 8235.0000, 0.0000, 8235.0000, 5490.0000, 2745.0000, 4, 4, 2, '20170901')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (24, N'None', 788, 10.0000, 300.0000, 236400.0000, 0.0000, 236400.0000, 197000.0000, 39400.0000, 5, 4, 4, '20170901')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (25, N'None', 2472, 10.0000, 15.0000, 37080.0000, 0.0000, 37080.0000, 24720.0000, 12360.0000, 4, 4, 4, '20180901')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (26, N'None', 1143, 10.0000, 7.0000, 8001.0000, 0.0000, 8001.0000, 5715.0000, 2286.0000, 3, 4, 5, '20181001')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (27, N'None', 1725, 10.0000, 350.0000, 603750.0000, 0.0000, 603750.0000, 448500.0000, 155250.0000, 3, 4, 1, '20171101')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (28, N'None', 912, 10.0000, 12.0000, 10944.0000, 0.0000, 10944.0000, 2736.0000, 8208.0000, 1, 4, 5, '20171101')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (29, N'None', 2152, 10.0000, 15.0000, 32280.0000, 0.0000, 32280.0000, 21520.0000, 10760.0000, 4, 4, 1, '20171201')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (30, N'None', 1817, 10.0000, 20.0000, 36340.0000, 0.0000, 36340.0000, 18170.0000, 18170.0000, 3, 4, 1, '20181201')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (31, N'None', 1513, 10.0000, 350.0000, 529550.0000, 0.0000, 529550.0000, 393380.0000, 136170.0000, 3, 4, 3, '20181201')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (32, N'None', 1493, 120.0000, 7.0000, 10451.0000, 0.0000, 10451.0000, 7465.0000, 2986.0000, 3, 5, 4, '20180101')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (33, N'None', 1804, 120.0000, 125.0000, 225500.0000, 0.0000, 225500.0000, 216480.0000, 9020.0000, 2, 5, 2, '20180201')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (34, N'None', 2161, 120.0000, 12.0000, 25932.0000, 0.0000, 25932.0000, 6483.0000, 19449.0000, 1, 5, 3, '20180301')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (35, N'None', 1006, 120.0000, 350.0000, 352100.0000, 0.0000, 352100.0000, 261560.0000, 90540.0000, 3, 5, 3, '20180601')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (36, N'None', 1545, 120.0000, 12.0000, 18540.0000, 0.0000, 18540.0000, 4635.0000, 13905.0000, 1, 5, 3, '20180601')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (37, N'None', 2821, 120.0000, 125.0000, 352625.0000, 0.0000, 352625.0000, 338520.0000, 14105.0000, 2, 5, 5, '20180801')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (38, N'None', 345, 120.0000, 125.0000, 43125.0000, 0.0000, 43125.0000, 41400.0000, 1725.0000, 2, 5, 1, '20171001')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (39, N'None', 2001, 250.0000, 300.0000, 600300.0000, 0.0000, 600300.0000, 500250.0000, 100050.0000, 5, 6, 1, '20180201')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (40, N'None', 2838, 250.0000, 12.0000, 34056.0000, 0.0000, 34056.0000, 8514.0000, 25542.0000, 1, 6, 3, '20180401')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (41, N'None', 2178, 250.0000, 15.0000, 32670.0000, 0.0000, 32670.0000, 21780.0000, 10890.0000, 4, 6, 2, '20180601')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (42, N'None', 888, 250.0000, 15.0000, 13320.0000, 0.0000, 13320.0000, 8880.0000, 4440.0000, 4, 6, 3, '20180601')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (43, N'None', 1527, 250.0000, 350.0000, 534450.0000, 0.0000, 534450.0000, 397020.0000, 137430.0000, 3, 6, 2, '20170901')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (44, N'None', 2151, 250.0000, 300.0000, 645300.0000, 0.0000, 645300.0000, 537750.0000, 107550.0000, 5, 6, 2, '20180901')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (45, N'None', 1817, 250.0000, 20.0000, 36340.0000, 0.0000, 36340.0000, 18170.0000, 18170.0000, 3, 6, 1, '20181201')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (46, N'None', 2750, 260.0000, 350.0000, 962500.0000, 0.0000, 962500.0000, 715000.0000, 247500.0000, 3, 1, 2, '20180201')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (47, N'None', 1953, 260.0000, 12.0000, 23436.0000, 0.0000, 23436.0000, 5859.0000, 17577.0000, 1, 1, 5, '20180401')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (48, N'None', 4219.5, 260.0000, 125.0000, 527437.5000, 0.0000, 527437.5000, 506340.0000, 21097.5000, 2, 1, 3, '20180401')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (49, N'None', 1899, 260.0000, 20.0000, 37980.0000, 0.0000, 37980.0000, 18990.0000, 18990.0000, 3, 1, 2, '20180601')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (50, N'None', 1686, 260.0000, 7.0000, 11802.0000, 0.0000, 11802.0000, 8430.0000, 3372.0000, 3, 1, 3, '20180701')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (51, N'None', 2141, 260.0000, 12.0000, 25692.0000, 0.0000, 25692.0000, 6423.0000, 19269.0000, 1, 1, 5, '20180801')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (52, N'None', 1143, 260.0000, 7.0000, 8001.0000, 0.0000, 8001.0000, 5715.0000, 2286.0000, 3, 1, 5, '20181001')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (53, N'None', 615, 260.0000, 15.0000, 9225.0000, 0.0000, 9225.0000, 6150.0000, 3075.0000, 4, 1, 5, '20181201')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (54, N'Low', 3945, 10.0000, 7.0000, 27615.0000, 276.1500, 27338.8500, 19725.0000, 7613.8500, 3, 4, 2, '20180101')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (55, N'Low', 2296, 10.0000, 15.0000, 34440.0000, 344.4000, 34095.6000, 22960.0000, 11135.6000, 4, 4, 2, '20180201')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (56, N'Low', 1030, 10.0000, 7.0000, 7210.0000, 72.1000, 7137.9000, 5150.0000, 1987.9000, 3, 4, 2, '20180501')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (57, N'Low', 639, 120.0000, 7.0000, 4473.0000, 44.7300, 4428.2700, 3195.0000, 1233.2700, 3, 5, 2, '20181101')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (58, N'Low', 1326, 250.0000, 7.0000, 9282.0000, 92.8200, 9189.1800, 6630.0000, 2559.1800, 3, 6, 1, '20180301')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (59, N'Low', 1858, 3.0000, 12.0000, 22296.0000, 222.9600, 22073.0400, 5574.0000, 16499.0400, 1, 2, 5, '20180201')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (60, N'Low', 1210, 3.0000, 350.0000, 423500.0000, 4235.0000, 419265.0000, 314600.0000, 104665.0000, 3, 2, 4, '20180301')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (61, N'Low', 2529, 3.0000, 7.0000, 17703.0000, 177.0300, 17525.9700, 12645.0000, 4880.9700, 3, 2, 5, '20180701')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (62, N'Low', 1445, 3.0000, 12.0000, 17340.0000, 173.4000, 17166.6000, 4335.0000, 12831.6000, 1, 2, 1, '20180901')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (63, N'Low', 330, 3.0000, 125.0000, 41250.0000, 412.5000, 40837.5000, 39600.0000, 1237.5000, 2, 2, 5, '20170901')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (64, N'Low', 2671, 3.0000, 12.0000, 32052.0000, 320.5200, 31731.4800, 8013.0000, 23718.4800, 1, 2, 2, '20180901')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (65, N'Low', 766, 3.0000, 12.0000, 9192.0000, 91.9200, 9100.0800, 2298.0000, 6802.0800, 1, 2, 3, '20171001')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (66, N'Low', 494, 3.0000, 300.0000, 148200.0000, 1482.0000, 146718.0000, 123500.0000, 23218.0000, 5, 2, 4, '20171001')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (67, N'Low', 1397, 3.0000, 350.0000, 488950.0000, 4889.5000, 484060.5000, 363220.0000, 120840.5000, 3, 2, 4, '20181001')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (68, N'Low', 2155, 3.0000, 350.0000, 754250.0000, 7542.5000, 746707.5000, 560300.0000, 186407.5000, 3, 2, 2, '20181201')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (69, N'Low', 2214, 5.0000, 15.0000, 33210.0000, 332.1000, 32877.9000, 22140.0000, 10737.9000, 4, 3, 4, '20180301')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (70, N'Low', 2301, 5.0000, 300.0000, 690300.0000, 6903.0000, 683397.0000, 575250.0000, 108147.0000, 5, 3, 5, '20180401')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (71, N'Low', 1375.5, 5.0000, 20.0000, 27510.0000, 275.1000, 27234.9000, 13755.0000, 13479.9000, 3, 3, 2, '20180701')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (72, N'Low', 1830, 5.0000, 7.0000, 12810.0000, 128.1000, 12681.9000, 9150.0000, 3531.9000, 3, 3, 1, '20180801')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (73, N'Low', 2498, 5.0000, 300.0000, 749400.0000, 7494.0000, 741906.0000, 624500.0000, 117406.0000, 5, 3, 5, '20170901')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (74, N'Low', 663, 5.0000, 125.0000, 82875.0000, 828.7500, 82046.2500, 79560.0000, 2486.2500, 2, 3, 5, '20171001')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (75, N'Low', 1514, 10.0000, 15.0000, 22710.0000, 227.1000, 22482.9000, 15140.0000, 7342.9000, 4, 4, 5, '20180201')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (76, N'Low', 4492.5, 10.0000, 7.0000, 31447.5000, 314.4750, 31133.0250, 22462.5000, 8670.5250, 3, 4, 5, '20180401')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (77, N'Low', 727, 10.0000, 125.0000, 90875.0000, 908.7500, 89966.2500, 87240.0000, 2726.2500, 2, 4, 5, '20180601')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (78, N'Low', 787, 10.0000, 125.0000, 98375.0000, 983.7500, 97391.2500, 94440.0000, 2951.2500, 2, 4, 2, '20180601')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (79, N'Low', 1823, 10.0000, 125.0000, 227875.0000, 2278.7500, 225596.2500, 218760.0000, 6836.2500, 2, 4, 4, '20180701')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (80, N'Low', 747, 10.0000, 15.0000, 11205.0000, 112.0500, 11092.9500, 7470.0000, 3622.9500, 4, 4, 3, '20180901')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (81, N'Low', 766, 10.0000, 12.0000, 9192.0000, 91.9200, 9100.0800, 2298.0000, 6802.0800, 1, 4, 3, '20171001')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (82, N'Low', 2905, 10.0000, 300.0000, 871500.0000, 8715.0000, 862785.0000, 726250.0000, 136535.0000, 5, 4, 5, '20181101')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (83, N'Low', 2155, 10.0000, 350.0000, 754250.0000, 7542.5000, 746707.5000, 560300.0000, 186407.5000, 3, 4, 2, '20181201')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (84, N'Low', 3864, 120.0000, 20.0000, 77280.0000, 772.8000, 76507.2000, 38640.0000, 37867.2000, 3, 5, 2, '20180401')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (85, N'Low', 362, 120.0000, 7.0000, 2534.0000, 25.3400, 2508.6600, 1810.0000, 698.6600, 3, 5, 4, '20180501')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (86, N'Low', 923, 120.0000, 125.0000, 115375.0000, 1153.7500, 114221.2500, 110760.0000, 3461.2500, 2, 5, 1, '20180801')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (87, N'Low', 663, 120.0000, 125.0000, 82875.0000, 828.7500, 82046.2500, 79560.0000, 2486.2500, 2, 5, 5, '20171001')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (88, N'Low', 2092, 120.0000, 7.0000, 14644.0000, 146.4400, 14497.5600, 10460.0000, 4037.5600, 3, 5, 1, '20171101')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (89, N'Low', 263, 250.0000, 7.0000, 1841.0000, 18.4100, 1822.5900, 1315.0000, 507.5900, 3, 6, 3, '20180301')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (90, N'Low', 943.5, 250.0000, 350.0000, 330225.0000, 3302.2500, 326922.7500, 245310.0000, 81612.7500, 3, 6, 1, '20180401')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (91, N'Low', 727, 250.0000, 125.0000, 90875.0000, 908.7500, 89966.2500, 87240.0000, 2726.2500, 2, 6, 5, '20180601')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (92, N'Low', 787, 250.0000, 125.0000, 98375.0000, 983.7500, 97391.2500, 94440.0000, 2951.2500, 2, 6, 2, '20180601')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (93, N'Low', 986, 250.0000, 300.0000, 295800.0000, 2958.0000, 292842.0000, 246500.0000, 46342.0000, 5, 6, 3, '20180901')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (94, N'Low', 494, 250.0000, 300.0000, 148200.0000, 1482.0000, 146718.0000, 123500.0000, 23218.0000, 5, 6, 4, '20171001')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (95, N'Low', 1397, 250.0000, 350.0000, 488950.0000, 4889.5000, 484060.5000, 363220.0000, 120840.5000, 3, 6, 4, '20181001')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (96, N'Low', 1744, 250.0000, 125.0000, 218000.0000, 2180.0000, 215820.0000, 209280.0000, 6540.0000, 2, 6, 2, '20181101')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (97, N'Low', 1989, 260.0000, 12.0000, 23868.0000, 238.6800, 23629.3200, 5967.0000, 17662.3200, 1, 1, 5, '20170901')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (98, N'Low', 321, 260.0000, 15.0000, 4815.0000, 48.1500, 4766.8500, 3210.0000, 1556.8500, 4, 1, 2, '20171101')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (99, N'Low', 742.5, 3.0000, 125.0000, 92812.5000, 1856.2500, 90956.2500, 89100.0000, 1856.2500, 2, 2, 1, '20180401')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (100, N'Low', 1295, 3.0000, 12.0000, 15540.0000, 310.8000, 15229.2000, 3885.0000, 11344.2000, 1, 2, 1, '20181001')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (101, N'Low', 214, 3.0000, 300.0000, 64200.0000, 1284.0000, 62916.0000, 53500.0000, 9416.0000, 5, 2, 3, '20171001')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (102, N'Low', 2145, 3.0000, 7.0000, 15015.0000, 300.3000, 14714.7000, 10725.0000, 3989.7000, 3, 2, 2, '20171101')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (103, N'Low', 2852, 3.0000, 350.0000, 998200.0000, 19964.0000, 978236.0000, 741520.0000, 236716.0000, 3, 2, 1, '20181201')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (104, N'Low', 1142, 5.0000, 12.0000, 13704.0000, 274.0800, 13429.9200, 3426.0000, 10003.9200, 1, 3, 5, '20180601')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (105, N'Low', 1566, 5.0000, 20.0000, 31320.0000, 626.4000, 30693.6000, 15660.0000, 15033.6000, 3, 3, 5, '20181001')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (106, N'Low', 690, 5.0000, 12.0000, 8280.0000, 165.6000, 8114.4000, 2070.0000, 6044.4000, 1, 3, 4, '20181101')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (107, N'Low', 1660, 5.0000, 125.0000, 207500.0000, 4150.0000, 203350.0000, 199200.0000, 4150.0000, 2, 3, 4, '20171101')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (108, N'Low', 2363, 10.0000, 15.0000, 35445.0000, 708.9000, 34736.1000, 23630.0000, 11106.1000, 4, 4, 1, '20180201')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (109, N'Low', 918, 10.0000, 300.0000, 275400.0000, 5508.0000, 269892.0000, 229500.0000, 40392.0000, 5, 4, 2, '20180501')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (110, N'Low', 1728, 10.0000, 300.0000, 518400.0000, 10368.0000, 508032.0000, 432000.0000, 76032.0000, 5, 4, 3, '20180501')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (111, N'Low', 1142, 10.0000, 12.0000, 13704.0000, 274.0800, 13429.9200, 3426.0000, 10003.9200, 1, 4, 5, '20180601')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (112, N'Low', 662, 10.0000, 125.0000, 82750.0000, 1655.0000, 81095.0000, 79440.0000, 1655.0000, 2, 4, 4, '20180601')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (113, N'Low', 1295, 10.0000, 12.0000, 15540.0000, 310.8000, 15229.2000, 3885.0000, 11344.2000, 1, 4, 1, '20181001')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (114, N'Low', 809, 10.0000, 125.0000, 101125.0000, 2022.5000, 99102.5000, 97080.0000, 2022.5000, 2, 4, 3, '20171001')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (115, N'Low', 2145, 10.0000, 125.0000, 268125.0000, 5362.5000, 262762.5000, 257400.0000, 5362.5000, 2, 4, 4, '20171001')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (116, N'Low', 1785, 10.0000, 12.0000, 21420.0000, 428.4000, 20991.6000, 5355.0000, 15636.6000, 1, 4, 2, '20171101')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (117, N'Low', 1916, 10.0000, 300.0000, 574800.0000, 11496.0000, 563304.0000, 479000.0000, 84304.0000, 5, 4, 1, '20181201')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (118, N'Low', 2852, 10.0000, 350.0000, 998200.0000, 19964.0000, 978236.0000, 741520.0000, 236716.0000, 3, 4, 1, '20181201')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (119, N'Low', 2729, 10.0000, 125.0000, 341125.0000, 6822.5000, 334302.5000, 327480.0000, 6822.5000, 2, 4, 1, '20181201')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (120, N'Low', 1925, 10.0000, 15.0000, 28875.0000, 577.5000, 28297.5000, 19250.0000, 9047.5000, 4, 4, 5, '20171201')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (121, N'Low', 2013, 10.0000, 7.0000, 14091.0000, 281.8200, 13809.1800, 10065.0000, 3744.1800, 3, 4, 5, '20171201')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (122, N'Low', 1055, 10.0000, 12.0000, 12660.0000, 253.2000, 12406.8000, 3165.0000, 9241.8000, 1, 4, 2, '20181201')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (123, N'Low', 1084, 10.0000, 12.0000, 13008.0000, 260.1600, 12747.8400, 3252.0000, 9495.8400, 1, 4, 4, '20181201')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (124, N'Low', 1566, 120.0000, 20.0000, 31320.0000, 626.4000, 30693.6000, 15660.0000, 15033.6000, 3, 5, 5, '20181001')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (125, N'Low', 2966, 120.0000, 350.0000, 1038100.0000, 20762.0000, 1017338.0000, 771160.0000, 246178.0000, 3, 5, 3, '20171001')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (126, N'Low', 2877, 120.0000, 350.0000, 1006950.0000, 20139.0000, 986811.0000, 748020.0000, 238791.0000, 3, 5, 3, '20181001')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (127, N'Low', 809, 120.0000, 125.0000, 101125.0000, 2022.5000, 99102.5000, 97080.0000, 2022.5000, 2, 5, 3, '20171001')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (128, N'Low', 2145, 120.0000, 125.0000, 268125.0000, 5362.5000, 262762.5000, 257400.0000, 5362.5000, 2, 5, 4, '20171001')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (129, N'Low', 1055, 120.0000, 12.0000, 12660.0000, 253.2000, 12406.8000, 3165.0000, 9241.8000, 1, 5, 2, '20181201')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (130, N'Low', 544, 120.0000, 20.0000, 10880.0000, 217.6000, 10662.4000, 5440.0000, 5222.4000, 3, 5, 4, '20171201')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (131, N'Low', 1084, 120.0000, 12.0000, 13008.0000, 260.1600, 12747.8400, 3252.0000, 9495.8400, 1, 5, 4, '20181201')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (132, N'Low', 662, 250.0000, 125.0000, 82750.0000, 1655.0000, 81095.0000, 79440.0000, 1655.0000, 2, 6, 4, '20180601')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (133, N'Low', 214, 250.0000, 300.0000, 64200.0000, 1284.0000, 62916.0000, 53500.0000, 9416.0000, 5, 6, 3, '20171001')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (134, N'Low', 2877, 250.0000, 350.0000, 1006950.0000, 20139.0000, 986811.0000, 748020.0000, 238791.0000, 3, 6, 3, '20181001')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (135, N'Low', 2729, 250.0000, 125.0000, 341125.0000, 6822.5000, 334302.5000, 327480.0000, 6822.5000, 2, 6, 1, '20181201')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (136, N'Low', 266, 250.0000, 350.0000, 93100.0000, 1862.0000, 91238.0000, 69160.0000, 22078.0000, 3, 6, 5, '20171201')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (137, N'Low', 1940, 250.0000, 350.0000, 679000.0000, 13580.0000, 665420.0000, 504400.0000, 161020.0000, 3, 6, 4, '20171201')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (138, N'Low', 259, 260.0000, 300.0000, 77700.0000, 1554.0000, 76146.0000, 64750.0000, 11396.0000, 5, 1, 3, '20180301')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (139, N'Low', 1101, 260.0000, 300.0000, 330300.0000, 6606.0000, 323694.0000, 275250.0000, 48444.0000, 5, 1, 4, '20180301')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (140, N'Low', 2276, 260.0000, 125.0000, 284500.0000, 5690.0000, 278810.0000, 273120.0000, 5690.0000, 2, 1, 3, '20180501')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (141, N'Low', 2966, 260.0000, 350.0000, 1038100.0000, 20762.0000, 1017338.0000, 771160.0000, 246178.0000, 3, 1, 3, '20171001')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (142, N'Low', 1236, 260.0000, 20.0000, 24720.0000, 494.4000, 24225.6000, 12360.0000, 11865.6000, 3, 1, 5, '20181101')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (143, N'Low', 941, 260.0000, 20.0000, 18820.0000, 376.4000, 18443.6000, 9410.0000, 9033.6000, 3, 1, 2, '20181101')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (144, N'Low', 1916, 260.0000, 300.0000, 574800.0000, 11496.0000, 563304.0000, 479000.0000, 84304.0000, 5, 1, 1, '20181201')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (145, N'Low', 4243.5, 3.0000, 125.0000, 530437.5000, 15913.1250, 514524.3750, 509220.0000, 5304.3750, 2, 2, 2, '20180401')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (146, N'Low', 2580, 3.0000, 20.0000, 51600.0000, 1548.0000, 50052.0000, 25800.0000, 24252.0000, 3, 2, 3, '20180401')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (147, N'Low', 689, 3.0000, 300.0000, 206700.0000, 6201.0000, 200499.0000, 172250.0000, 28249.0000, 5, 2, 3, '20180601')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (148, N'Low', 1947, 3.0000, 12.0000, 23364.0000, 700.9200, 22663.0800, 5841.0000, 16822.0800, 1, 2, 5, '20180901')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (149, N'Low', 908, 3.0000, 12.0000, 10896.0000, 326.8800, 10569.1200, 2724.0000, 7845.1200, 1, 2, 1, '20171201')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (150, N'Low', 1958, 5.0000, 7.0000, 13706.0000, 411.1800, 13294.8200, 9790.0000, 3504.8200, 3, 3, 3, '20180201')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (151, N'Low', 1901, 5.0000, 12.0000, 22812.0000, 684.3600, 22127.6400, 5703.0000, 16424.6400, 1, 3, 2, '20180601')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (152, N'Low', 544, 5.0000, 7.0000, 3808.0000, 114.2400, 3693.7600, 2720.0000, 973.7600, 3, 3, 2, '20180901')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (153, N'Low', 1797, 5.0000, 350.0000, 628950.0000, 18868.5000, 610081.5000, 467220.0000, 142861.5000, 3, 3, 3, '20170901')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (154, N'Low', 1287, 5.0000, 125.0000, 160875.0000, 4826.2500, 156048.7500, 154440.0000, 1608.7500, 2, 3, 2, '20181201')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (155, N'Low', 1706, 5.0000, 125.0000, 213250.0000, 6397.5000, 206852.5000, 204720.0000, 2132.5000, 2, 3, 3, '20181201')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (156, N'Low', 2434.5, 10.0000, 300.0000, 730350.0000, 21910.5000, 708439.5000, 608625.0000, 99814.5000, 5, 4, 2, '20180101')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (157, N'Low', 1774, 10.0000, 125.0000, 221750.0000, 6652.5000, 215097.5000, 212880.0000, 2217.5000, 2, 4, 1, '20180301')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (158, N'Low', 1901, 10.0000, 12.0000, 22812.0000, 684.3600, 22127.6400, 5703.0000, 16424.6400, 1, 4, 2, '20180601')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (159, N'Low', 689, 10.0000, 300.0000, 206700.0000, 6201.0000, 200499.0000, 172250.0000, 28249.0000, 5, 4, 3, '20180601')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (160, N'Low', 1570, 10.0000, 125.0000, 196250.0000, 5887.5000, 190362.5000, 188400.0000, 1962.5000, 2, 4, 3, '20180601')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (161, N'Low', 1369.5, 10.0000, 12.0000, 16434.0000, 493.0200, 15940.9800, 4108.5000, 11832.4800, 1, 4, 5, '20180701')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (162, N'Low', 2009, 10.0000, 125.0000, 251125.0000, 7533.7500, 243591.2500, 241080.0000, 2511.2500, 2, 4, 1, '20181001')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (163, N'Low', 1945, 10.0000, 15.0000, 29175.0000, 875.2500, 28299.7500, 19450.0000, 8849.7500, 4, 4, 3, '20171001')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (164, N'Low', 1287, 10.0000, 125.0000, 160875.0000, 4826.2500, 156048.7500, 154440.0000, 1608.7500, 2, 4, 2, '20181201')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (165, N'Low', 1706, 10.0000, 125.0000, 213250.0000, 6397.5000, 206852.5000, 204720.0000, 2132.5000, 2, 4, 3, '20181201')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (166, N'Low', 2009, 120.0000, 125.0000, 251125.0000, 7533.7500, 243591.2500, 241080.0000, 2511.2500, 2, 5, 1, '20181001')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (167, N'Low', 2844, 250.0000, 300.0000, 853200.0000, 25596.0000, 827604.0000, 711000.0000, 116604.0000, 5, 6, 5, '20180201')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (168, N'Low', 1916, 250.0000, 12.0000, 22992.0000, 689.7600, 22302.2400, 5748.0000, 16554.2400, 1, 6, 4, '20180401')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (169, N'Low', 1570, 250.0000, 125.0000, 196250.0000, 5887.5000, 190362.5000, 188400.0000, 1962.5000, 2, 6, 3, '20180601')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (170, N'Low', 1874, 250.0000, 300.0000, 562200.0000, 16866.0000, 545334.0000, 468500.0000, 76834.0000, 5, 6, 1, '20180801')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (171, N'Low', 1642, 250.0000, 350.0000, 574700.0000, 17241.0000, 557459.0000, 426920.0000, 130539.0000, 3, 6, 4, '20180801')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (172, N'Low', 1945, 250.0000, 15.0000, 29175.0000, 875.2500, 28299.7500, 19450.0000, 8849.7500, 4, 6, 3, '20171001')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (173, N'Low', 831, 3.0000, 20.0000, 16620.0000, 498.6000, 16121.4000, 8310.0000, 7811.4000, 3, 2, 1, '20180501')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (174, N'Low', 1760, 10.0000, 7.0000, 12320.0000, 369.6000, 11950.4000, 8800.0000, 3150.4000, 3, 4, 4, '20170901')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (175, N'Low', 3850.5, 120.0000, 20.0000, 77010.0000, 2310.3000, 74699.7000, 38505.0000, 36194.7000, 3, 5, 1, '20180401')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (176, N'Low', 2479, 250.0000, 12.0000, 29748.0000, 892.4400, 28855.5600, 7437.0000, 21418.5600, 1, 6, 3, '20180101')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (177, N'Low', 2031, 5.0000, 15.0000, 30465.0000, 1218.6000, 29246.4000, 20310.0000, 8936.4000, 4, 3, 4, '20181001')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (178, N'Low', 2031, 10.0000, 15.0000, 30465.0000, 1218.6000, 29246.4000, 20310.0000, 8936.4000, 4, 4, 4, '20181001')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (179, N'Low', 2261, 10.0000, 15.0000, 33915.0000, 1356.6000, 32558.4000, 22610.0000, 9948.4000, 4, 4, 2, '20171201')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (180, N'Low', 736, 120.0000, 20.0000, 14720.0000, 588.8000, 14131.2000, 7360.0000, 6771.2000, 3, 5, 5, '20170901')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (181, N'Low', 2851, 3.0000, 7.0000, 19957.0000, 798.2800, 19158.7200, 14255.0000, 4903.7200, 3, 2, 1, '20171001')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (182, N'Low', 2021, 3.0000, 300.0000, 606300.0000, 24252.0000, 582048.0000, 505250.0000, 76798.0000, 5, 2, 3, '20181001')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (183, N'Low', 274, 3.0000, 350.0000, 95900.0000, 3836.0000, 92064.0000, 71240.0000, 20824.0000, 3, 2, 5, '20181201')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (184, N'Low', 1967, 5.0000, 15.0000, 29505.0000, 1180.2000, 28324.8000, 19670.0000, 8654.8000, 4, 3, 1, '20180301')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (185, N'Low', 1859, 5.0000, 300.0000, 557700.0000, 22308.0000, 535392.0000, 464750.0000, 70642.0000, 5, 3, 3, '20180801')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (186, N'Low', 2851, 5.0000, 7.0000, 19957.0000, 798.2800, 19158.7200, 14255.0000, 4903.7200, 3, 3, 1, '20171001')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (187, N'Low', 2021, 5.0000, 300.0000, 606300.0000, 24252.0000, 582048.0000, 505250.0000, 76798.0000, 5, 3, 3, '20181001')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (188, N'Low', 1138, 5.0000, 125.0000, 142250.0000, 5690.0000, 136560.0000, 136560.0000, 0.0000, 2, 3, 4, '20181201')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (189, N'Low', 4251, 10.0000, 7.0000, 29757.0000, 1190.2800, 28566.7200, 21255.0000, 7311.7200, 3, 4, 1, '20180101')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (190, N'Low', 795, 10.0000, 125.0000, 99375.0000, 3975.0000, 95400.0000, 95400.0000, 0.0000, 2, 4, 3, '20180301')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (191, N'Low', 1414.5, 10.0000, 300.0000, 424350.0000, 16974.0000, 407376.0000, 353625.0000, 53751.0000, 5, 4, 3, '20180401')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (192, N'Low', 2918, 10.0000, 300.0000, 875400.0000, 35016.0000, 840384.0000, 729500.0000, 110884.0000, 5, 4, 5, '20180501')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (193, N'Low', 3450, 10.0000, 350.0000, 1207500.0000, 48300.0000, 1159200.0000, 897000.0000, 262200.0000, 3, 4, 5, '20180701')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (194, N'Low', 2988, 10.0000, 125.0000, 373500.0000, 14940.0000, 358560.0000, 358560.0000, 0.0000, 2, 4, 2, '20180701')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (195, N'Low', 218, 10.0000, 15.0000, 3270.0000, 130.8000, 3139.2000, 2180.0000, 959.2000, 4, 4, 1, '20180901')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (196, N'Low', 2074, 10.0000, 20.0000, 41480.0000, 1659.2000, 39820.8000, 20740.0000, 19080.8000, 3, 4, 1, '20180901')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (197, N'Low', 1056, 10.0000, 20.0000, 21120.0000, 844.8000, 20275.2000, 10560.0000, 9715.2000, 3, 4, 5, '20180901')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (198, N'Low', 671, 10.0000, 15.0000, 10065.0000, 402.6000, 9662.4000, 6710.0000, 2952.4000, 4, 4, 5, '20171001')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (199, N'Low', 1514, 10.0000, 15.0000, 22710.0000, 908.4000, 21801.6000, 15140.0000, 6661.6000, 4, 4, 4, '20171001')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (200, N'Low', 274, 10.0000, 350.0000, 95900.0000, 3836.0000, 92064.0000, 71240.0000, 20824.0000, 3, 4, 5, '20181201')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (201, N'Low', 1138, 10.0000, 125.0000, 142250.0000, 5690.0000, 136560.0000, 136560.0000, 0.0000, 2, 4, 4, '20181201')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (202, N'Low', 1465, 120.0000, 12.0000, 17580.0000, 703.2000, 16876.8000, 4395.0000, 12481.8000, 1, 5, 5, '20180301')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (203, N'Low', 2646, 120.0000, 20.0000, 52920.0000, 2116.8000, 50803.2000, 26460.0000, 24343.2000, 3, 5, 1, '20170901')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (204, N'Low', 2177, 120.0000, 350.0000, 761950.0000, 30478.0000, 731472.0000, 566020.0000, 165452.0000, 3, 5, 2, '20181001')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (205, N'Low', 866, 250.0000, 12.0000, 10392.0000, 415.6800, 9976.3200, 2598.0000, 7378.3200, 1, 6, 2, '20180501')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (206, N'Low', 349, 250.0000, 350.0000, 122150.0000, 4886.0000, 117264.0000, 90740.0000, 26524.0000, 3, 6, 5, '20170901')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (207, N'Low', 2177, 250.0000, 350.0000, 761950.0000, 30478.0000, 731472.0000, 566020.0000, 165452.0000, 3, 6, 2, '20181001')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (208, N'Low', 1514, 250.0000, 15.0000, 22710.0000, 908.4000, 21801.6000, 15140.0000, 6661.6000, 4, 6, 4, '20171001')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (209, N'Low', 1865, 260.0000, 350.0000, 652750.0000, 26110.0000, 626640.0000, 484900.0000, 141740.0000, 3, 1, 4, '20180201')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (210, N'Low', 1074, 260.0000, 125.0000, 134250.0000, 5370.0000, 128880.0000, 128880.0000, 0.0000, 2, 1, 4, '20180401')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (211, N'Low', 1907, 260.0000, 350.0000, 667450.0000, 26698.0000, 640752.0000, 495820.0000, 144932.0000, 3, 1, 3, '20180901')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (212, N'Low', 671, 260.0000, 15.0000, 10065.0000, 402.6000, 9662.4000, 6710.0000, 2952.4000, 4, 1, 5, '20171001')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (213, N'Low', 1778, 260.0000, 350.0000, 622300.0000, 24892.0000, 597408.0000, 462280.0000, 135128.0000, 3, 1, 1, '20171201')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (214, N'Medium', 1159, 5.0000, 7.0000, 8113.0000, 405.6500, 7707.3500, 5795.0000, 1912.3500, 3, 3, 3, '20171001')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (215, N'Medium', 1372, 10.0000, 7.0000, 9604.0000, 480.2000, 9123.8000, 6860.0000, 2263.8000, 3, 4, 3, '20180101')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (216, N'Medium', 2349, 10.0000, 7.0000, 16443.0000, 822.1500, 15620.8500, 11745.0000, 3875.8500, 3, 4, 1, '20170901')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (217, N'Medium', 2689, 10.0000, 7.0000, 18823.0000, 941.1500, 17881.8500, 13445.0000, 4436.8500, 3, 4, 4, '20181001')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (218, N'Medium', 2431, 10.0000, 12.0000, 29172.0000, 1458.6000, 27713.4000, 7293.0000, 20420.4000, 1, 4, 1, '20181201')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (219, N'Medium', 2431, 120.0000, 12.0000, 29172.0000, 1458.6000, 27713.4000, 7293.0000, 20420.4000, 1, 5, 1, '20181201')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (220, N'Medium', 2689, 250.0000, 7.0000, 18823.0000, 941.1500, 17881.8500, 13445.0000, 4436.8500, 3, 6, 4, '20181001')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (221, N'Medium', 1683, 260.0000, 7.0000, 11781.0000, 589.0500, 11191.9500, 8415.0000, 2776.9500, 3, 1, 4, '20180701')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (222, N'Medium', 1123, 260.0000, 12.0000, 13476.0000, 673.8000, 12802.2000, 3369.0000, 9433.2000, 1, 1, 4, '20180801')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (223, N'Medium', 1159, 260.0000, 7.0000, 8113.0000, 405.6500, 7707.3500, 5795.0000, 1912.3500, 3, 1, 3, '20171001')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (224, N'Medium', 1865, 3.0000, 12.0000, 22380.0000, 1119.0000, 21261.0000, 5595.0000, 15666.0000, 1, 2, 2, '20180201')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (225, N'Medium', 1116, 3.0000, 12.0000, 13392.0000, 669.6000, 12722.4000, 3348.0000, 9374.4000, 1, 2, 3, '20180201')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (226, N'Medium', 1563, 3.0000, 20.0000, 31260.0000, 1563.0000, 29697.0000, 15630.0000, 14067.0000, 3, 2, 2, '20180501')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (227, N'Medium', 991, 3.0000, 300.0000, 297300.0000, 14865.0000, 282435.0000, 247750.0000, 34685.0000, 5, 2, 5, '20180601')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (228, N'Medium', 1016, 3.0000, 7.0000, 7112.0000, 355.6000, 6756.4000, 5080.0000, 1676.4000, 3, 2, 3, '20171101')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (229, N'Medium', 2791, 3.0000, 15.0000, 41865.0000, 2093.2500, 39771.7500, 27910.0000, 11861.7500, 4, 2, 4, '20181101')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (230, N'Medium', 570, 3.0000, 7.0000, 3990.0000, 199.5000, 3790.5000, 2850.0000, 940.5000, 3, 2, 5, '20181201')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (231, N'Medium', 2487, 3.0000, 7.0000, 17409.0000, 870.4500, 16538.5500, 12435.0000, 4103.5500, 3, 2, 2, '20181201')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (232, N'Medium', 1384.5, 5.0000, 350.0000, 484575.0000, 24228.7500, 460346.2500, 359970.0000, 100376.2500, 3, 3, 2, '20180101')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (233, N'Medium', 3627, 5.0000, 125.0000, 453375.0000, 22668.7500, 430706.2500, 435240.0000, -4533.7500, 2, 3, 5, '20180701')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (234, N'Medium', 720, 5.0000, 350.0000, 252000.0000, 12600.0000, 239400.0000, 187200.0000, 52200.0000, 3, 3, 4, '20170901')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (235, N'Medium', 2342, 5.0000, 12.0000, 28104.0000, 1405.2000, 26698.8000, 7026.0000, 19672.8000, 1, 3, 3, '20181101')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (236, N'Medium', 1100, 5.0000, 300.0000, 330000.0000, 16500.0000, 313500.0000, 275000.0000, 38500.0000, 5, 3, 4, '20171201')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (237, N'Medium', 1303, 10.0000, 20.0000, 26060.0000, 1303.0000, 24757.0000, 13030.0000, 11727.0000, 3, 4, 2, '20180201')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (238, N'Medium', 2992, 10.0000, 125.0000, 374000.0000, 18700.0000, 355300.0000, 359040.0000, -3740.0000, 2, 4, 5, '20180301')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (239, N'Medium', 2385, 10.0000, 125.0000, 298125.0000, 14906.2500, 283218.7500, 286200.0000, -2981.2500, 2, 4, 2, '20180301')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (240, N'Medium', 1607, 10.0000, 300.0000, 482100.0000, 24105.0000, 457995.0000, 401750.0000, 56245.0000, 5, 4, 4, '20180401')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (241, N'Medium', 2327, 10.0000, 7.0000, 16289.0000, 814.4500, 15474.5500, 11635.0000, 3839.5500, 3, 4, 5, '20180501')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (242, N'Medium', 991, 10.0000, 300.0000, 297300.0000, 14865.0000, 282435.0000, 247750.0000, 34685.0000, 5, 4, 5, '20180601')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (243, N'Medium', 602, 10.0000, 350.0000, 210700.0000, 10535.0000, 200165.0000, 156520.0000, 43645.0000, 3, 4, 5, '20180601')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (244, N'Medium', 2620, 10.0000, 15.0000, 39300.0000, 1965.0000, 37335.0000, 26200.0000, 11135.0000, 4, 4, 2, '20180901')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (245, N'Medium', 1228, 10.0000, 350.0000, 429800.0000, 21490.0000, 408310.0000, 319280.0000, 89030.0000, 3, 4, 1, '20171001')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (246, N'Medium', 1389, 10.0000, 20.0000, 27780.0000, 1389.0000, 26391.0000, 13890.0000, 12501.0000, 3, 4, 1, '20171001')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (247, N'Medium', 861, 10.0000, 125.0000, 107625.0000, 5381.2500, 102243.7500, 103320.0000, -1076.2500, 2, 4, 5, '20181001')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (248, N'Medium', 704, 10.0000, 125.0000, 88000.0000, 4400.0000, 83600.0000, 84480.0000, -880.0000, 2, 4, 2, '20171001')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (249, N'Medium', 1802, 10.0000, 20.0000, 36040.0000, 1802.0000, 34238.0000, 18020.0000, 16218.0000, 3, 4, 1, '20171201')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (250, N'Medium', 2663, 10.0000, 20.0000, 53260.0000, 2663.0000, 50597.0000, 26630.0000, 23967.0000, 3, 4, 5, '20181201')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (251, N'Medium', 2136, 10.0000, 7.0000, 14952.0000, 747.6000, 14204.4000, 10680.0000, 3524.4000, 3, 4, 2, '20171201')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (252, N'Medium', 2116, 10.0000, 15.0000, 31740.0000, 1587.0000, 30153.0000, 21160.0000, 8993.0000, 4, 4, 3, '20171201')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (253, N'Medium', 555, 120.0000, 15.0000, 8325.0000, 416.2500, 7908.7500, 5550.0000, 2358.7500, 4, 5, 5, '20180101')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (254, N'Medium', 2861, 120.0000, 15.0000, 42915.0000, 2145.7500, 40769.2500, 28610.0000, 12159.2500, 4, 5, 4, '20180101')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (255, N'Medium', 807, 120.0000, 125.0000, 100875.0000, 5043.7500, 95831.2500, 96840.0000, -1008.7500, 2, 5, 3, '20180201')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (256, N'Medium', 602, 120.0000, 350.0000, 210700.0000, 10535.0000, 200165.0000, 156520.0000, 43645.0000, 3, 5, 5, '20180601')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (257, N'Medium', 2832, 120.0000, 20.0000, 56640.0000, 2832.0000, 53808.0000, 28320.0000, 25488.0000, 3, 5, 5, '20180801')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (258, N'Medium', 1579, 120.0000, 20.0000, 31580.0000, 1579.0000, 30001.0000, 15790.0000, 14211.0000, 3, 5, 2, '20180801')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (259, N'Medium', 861, 120.0000, 125.0000, 107625.0000, 5381.2500, 102243.7500, 103320.0000, -1076.2500, 2, 5, 5, '20181001')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (260, N'Medium', 704, 120.0000, 125.0000, 88000.0000, 4400.0000, 83600.0000, 84480.0000, -880.0000, 2, 5, 2, '20171001')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (261, N'Medium', 1033, 120.0000, 20.0000, 20660.0000, 1033.0000, 19627.0000, 10330.0000, 9297.0000, 3, 5, 2, '20171201')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (262, N'Medium', 1250, 120.0000, 300.0000, 375000.0000, 18750.0000, 356250.0000, 312500.0000, 43750.0000, 5, 5, 3, '20181201')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (263, N'Medium', 1389, 250.0000, 20.0000, 27780.0000, 1389.0000, 26391.0000, 13890.0000, 12501.0000, 3, 6, 1, '20171001')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (264, N'Medium', 1265, 250.0000, 20.0000, 25300.0000, 1265.0000, 24035.0000, 12650.0000, 11385.0000, 3, 6, 5, '20171101')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (265, N'Medium', 2297, 250.0000, 20.0000, 45940.0000, 2297.0000, 43643.0000, 22970.0000, 20673.0000, 3, 6, 3, '20171101')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (266, N'Medium', 2663, 250.0000, 20.0000, 53260.0000, 2663.0000, 50597.0000, 26630.0000, 23967.0000, 3, 6, 5, '20181201')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (267, N'Medium', 570, 250.0000, 7.0000, 3990.0000, 199.5000, 3790.5000, 2850.0000, 940.5000, 3, 6, 5, '20181201')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (268, N'Medium', 2487, 250.0000, 7.0000, 17409.0000, 870.4500, 16538.5500, 12435.0000, 4103.5500, 3, 6, 2, '20181201')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (269, N'Medium', 1350, 260.0000, 350.0000, 472500.0000, 23625.0000, 448875.0000, 351000.0000, 97875.0000, 3, 1, 3, '20180201')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (270, N'Medium', 552, 260.0000, 350.0000, 193200.0000, 9660.0000, 183540.0000, 143520.0000, 40020.0000, 3, 1, 1, '20180801')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (271, N'Medium', 1228, 260.0000, 350.0000, 429800.0000, 21490.0000, 408310.0000, 319280.0000, 89030.0000, 3, 1, 1, '20171001')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (272, N'Medium', 1250, 260.0000, 300.0000, 375000.0000, 18750.0000, 356250.0000, 312500.0000, 43750.0000, 5, 1, 3, '20181201')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (273, N'Medium', 3801, 10.0000, 15.0000, 57015.0000, 3420.9000, 53594.1000, 38010.0000, 15584.1000, 4, 4, 2, '20180401')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (274, N'Medium', 1117.5, 3.0000, 20.0000, 22350.0000, 1341.0000, 21009.0000, 11175.0000, 9834.0000, 3, 2, 5, '20180101')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (275, N'Medium', 2844, 3.0000, 15.0000, 42660.0000, 2559.6000, 40100.4000, 28440.0000, 11660.4000, 4, 2, 1, '20180601')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (276, N'Medium', 562, 3.0000, 12.0000, 6744.0000, 404.6400, 6339.3600, 1686.0000, 4653.3600, 1, 2, 4, '20180901')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (277, N'Medium', 2299, 3.0000, 12.0000, 27588.0000, 1655.2800, 25932.7200, 6897.0000, 19035.7200, 1, 2, 1, '20171001')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (278, N'Medium', 2030, 3.0000, 15.0000, 30450.0000, 1827.0000, 28623.0000, 20300.0000, 8323.0000, 4, 2, 5, '20181101')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (279, N'Medium', 263, 3.0000, 7.0000, 1841.0000, 110.4600, 1730.5400, 1315.0000, 415.5400, 3, 2, 5, '20171101')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (280, N'Medium', 887, 3.0000, 125.0000, 110875.0000, 6652.5000, 104222.5000, 106440.0000, -2217.5000, 2, 2, 3, '20171201')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (281, N'Medium', 980, 5.0000, 350.0000, 343000.0000, 20580.0000, 322420.0000, 254800.0000, 67620.0000, 3, 3, 4, '20180401')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (282, N'Medium', 1460, 5.0000, 350.0000, 511000.0000, 30660.0000, 480340.0000, 379600.0000, 100740.0000, 3, 3, 3, '20180501')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (283, N'Medium', 1403, 5.0000, 7.0000, 9821.0000, 589.2600, 9231.7400, 7015.0000, 2216.7400, 3, 3, 2, '20171001')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (284, N'Medium', 2723, 5.0000, 12.0000, 32676.0000, 1960.5600, 30715.4400, 8169.0000, 22546.4400, 1, 3, 5, '20181101')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (285, N'Medium', 1496, 10.0000, 350.0000, 523600.0000, 31416.0000, 492184.0000, 388960.0000, 103224.0000, 3, 4, 2, '20180601')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (286, N'Medium', 2299, 10.0000, 12.0000, 27588.0000, 1655.2800, 25932.7200, 6897.0000, 19035.7200, 1, 4, 1, '20171001')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (287, N'Medium', 727, 10.0000, 350.0000, 254450.0000, 15267.0000, 239183.0000, 189020.0000, 50163.0000, 3, 4, 5, '20171001')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (288, N'Medium', 952, 120.0000, 125.0000, 119000.0000, 7140.0000, 111860.0000, 114240.0000, -2380.0000, 2, 5, 1, '20180201')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (289, N'Medium', 2755, 120.0000, 125.0000, 344375.0000, 20662.5000, 323712.5000, 330600.0000, -6887.5000, 2, 5, 5, '20180201')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (290, N'Medium', 1530, 120.0000, 15.0000, 22950.0000, 1377.0000, 21573.0000, 15300.0000, 6273.0000, 4, 5, 3, '20180501')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (291, N'Medium', 1496, 120.0000, 350.0000, 523600.0000, 31416.0000, 492184.0000, 388960.0000, 103224.0000, 3, 5, 2, '20180601')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (292, N'Medium', 1498, 120.0000, 7.0000, 10486.0000, 629.1600, 9856.8400, 7490.0000, 2366.8400, 3, 5, 4, '20180601')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (293, N'Medium', 1221, 120.0000, 300.0000, 366300.0000, 21978.0000, 344322.0000, 305250.0000, 39072.0000, 5, 5, 2, '20171001')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (294, N'Medium', 2076, 120.0000, 350.0000, 726600.0000, 43596.0000, 683004.0000, 539760.0000, 143244.0000, 3, 5, 2, '20171001')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (295, N'Medium', 2844, 250.0000, 15.0000, 42660.0000, 2559.6000, 40100.4000, 28440.0000, 11660.4000, 4, 6, 1, '20180601')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (296, N'Medium', 1498, 250.0000, 7.0000, 10486.0000, 629.1600, 9856.8400, 7490.0000, 2366.8400, 3, 6, 4, '20180601')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (297, N'Medium', 1221, 250.0000, 300.0000, 366300.0000, 21978.0000, 344322.0000, 305250.0000, 39072.0000, 5, 6, 2, '20171001')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (298, N'Medium', 1123, 250.0000, 20.0000, 22460.0000, 1347.6000, 21112.4000, 11230.0000, 9882.4000, 3, 6, 4, '20171101')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (299, N'Medium', 2436, 250.0000, 300.0000, 730800.0000, 43848.0000, 686952.0000, 609000.0000, 77952.0000, 5, 6, 1, '20171201')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (300, N'Medium', 1987.5, 260.0000, 125.0000, 248437.5000, 14906.2500, 233531.2500, 238500.0000, -4968.7500, 2, 1, 2, '20180101')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (301, N'Medium', 1679, 260.0000, 350.0000, 587650.0000, 35259.0000, 552391.0000, 436540.0000, 115851.0000, 3, 1, 4, '20180901')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (302, N'Medium', 727, 260.0000, 350.0000, 254450.0000, 15267.0000, 239183.0000, 189020.0000, 50163.0000, 3, 1, 5, '20171001')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (303, N'Medium', 1403, 260.0000, 7.0000, 9821.0000, 589.2600, 9231.7400, 7015.0000, 2216.7400, 3, 1, 2, '20171001')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (304, N'Medium', 2076, 260.0000, 350.0000, 726600.0000, 43596.0000, 683004.0000, 539760.0000, 143244.0000, 3, 1, 2, '20171001')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (305, N'Medium', 1757, 5.0000, 20.0000, 35140.0000, 2108.4000, 33031.6000, 17570.0000, 15461.6000, 3, 3, 2, '20171001')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (306, N'Medium', 2198, 10.0000, 15.0000, 32970.0000, 1978.2000, 30991.8000, 21980.0000, 9011.8000, 4, 4, 5, '20180801')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (307, N'Medium', 1743, 10.0000, 15.0000, 26145.0000, 1568.7000, 24576.3000, 17430.0000, 7146.3000, 4, 4, 3, '20180801')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (308, N'Medium', 1153, 10.0000, 15.0000, 17295.0000, 1037.7000, 16257.3000, 11530.0000, 4727.3000, 4, 4, 5, '20181001')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (309, N'Medium', 1757, 10.0000, 20.0000, 35140.0000, 2108.4000, 33031.6000, 17570.0000, 15461.6000, 3, 4, 2, '20171001')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (310, N'Medium', 1001, 120.0000, 20.0000, 20020.0000, 1201.2000, 18818.8000, 10010.0000, 8808.8000, 3, 5, 3, '20180801')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (311, N'Medium', 1333, 120.0000, 7.0000, 9331.0000, 559.8600, 8771.1400, 6665.0000, 2106.1400, 3, 5, 4, '20181101')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (312, N'Medium', 1153, 250.0000, 15.0000, 17295.0000, 1037.7000, 16257.3000, 11530.0000, 4727.3000, 4, 6, 5, '20181001')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (313, N'Medium', 727, 3.0000, 12.0000, 8724.0000, 610.6800, 8113.3200, 2181.0000, 5932.3200, 1, 2, 4, '20180201')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (314, N'Medium', 1884, 3.0000, 12.0000, 22608.0000, 1582.5600, 21025.4400, 5652.0000, 15373.4400, 1, 2, 1, '20180801')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (315, N'Medium', 1834, 3.0000, 20.0000, 36680.0000, 2567.6000, 34112.4000, 18340.0000, 15772.4000, 3, 2, 4, '20170901')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (316, N'Medium', 2340, 5.0000, 12.0000, 28080.0000, 1965.6000, 26114.4000, 7020.0000, 19094.4000, 1, 3, 4, '20180101')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (317, N'Medium', 2342, 5.0000, 12.0000, 28104.0000, 1967.2800, 26136.7200, 7026.0000, 19110.7200, 1, 3, 2, '20181101')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (318, N'Medium', 1031, 10.0000, 7.0000, 7217.0000, 505.1900, 6711.8100, 5155.0000, 1556.8100, 3, 4, 2, '20170901')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (319, N'Medium', 1262, 120.0000, 15.0000, 18930.0000, 1325.1000, 17604.9000, 12620.0000, 4984.9000, 4, 5, 1, '20180501')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (320, N'Medium', 1135, 120.0000, 7.0000, 7945.0000, 556.1500, 7388.8500, 5675.0000, 1713.8500, 3, 5, 1, '20180601')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (321, N'Medium', 547, 120.0000, 7.0000, 3829.0000, 268.0300, 3560.9700, 2735.0000, 825.9700, 3, 5, 5, '20181101')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (322, N'Medium', 1582, 120.0000, 7.0000, 11074.0000, 775.1800, 10298.8200, 7910.0000, 2388.8200, 3, 5, 1, '20181201')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (323, N'Medium', 1738.5, 250.0000, 12.0000, 20862.0000, 1460.3400, 19401.6600, 5215.5000, 14186.1600, 1, 6, 2, '20180401')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (324, N'Medium', 2215, 250.0000, 12.0000, 26580.0000, 1860.6000, 24719.4000, 6645.0000, 18074.4000, 1, 6, 3, '20170901')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (325, N'Medium', 1582, 250.0000, 7.0000, 11074.0000, 775.1800, 10298.8200, 7910.0000, 2388.8200, 3, 6, 1, '20181201')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (326, N'Medium', 1135, 260.0000, 7.0000, 7945.0000, 556.1500, 7388.8500, 5675.0000, 1713.8500, 3, 1, 1, '20180601')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (327, N'Medium', 1761, 3.0000, 350.0000, 616350.0000, 43144.5000, 573205.5000, 457860.0000, 115345.5000, 3, 2, 5, '20180301')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (328, N'Medium', 448, 3.0000, 300.0000, 134400.0000, 9408.0000, 124992.0000, 112000.0000, 12992.0000, 5, 2, 2, '20180601')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (329, N'Medium', 2181, 3.0000, 300.0000, 654300.0000, 45801.0000, 608499.0000, 545250.0000, 63249.0000, 5, 2, 2, '20181001')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (330, N'Medium', 1976, 5.0000, 20.0000, 39520.0000, 2766.4000, 36753.6000, 19760.0000, 16993.6000, 3, 3, 2, '20181001')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (331, N'Medium', 2181, 5.0000, 300.0000, 654300.0000, 45801.0000, 608499.0000, 545250.0000, 63249.0000, 5, 3, 2, '20181001')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (332, N'Medium', 2500, 5.0000, 125.0000, 312500.0000, 21875.0000, 290625.0000, 300000.0000, -9375.0000, 2, 3, 3, '20171101')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (333, N'Medium', 1702, 10.0000, 300.0000, 510600.0000, 35742.0000, 474858.0000, 425500.0000, 49358.0000, 5, 4, 1, '20180501')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (334, N'Medium', 448, 10.0000, 300.0000, 134400.0000, 9408.0000, 124992.0000, 112000.0000, 12992.0000, 5, 4, 2, '20180601')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (335, N'Medium', 3513, 10.0000, 125.0000, 439125.0000, 30738.7500, 408386.2500, 421560.0000, -13173.7500, 2, 4, 3, '20180701')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (336, N'Medium', 2101, 10.0000, 15.0000, 31515.0000, 2206.0500, 29308.9500, 21010.0000, 8298.9500, 4, 4, 2, '20180801')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (337, N'Medium', 2931, 10.0000, 15.0000, 43965.0000, 3077.5500, 40887.4500, 29310.0000, 11577.4500, 4, 4, 5, '20170901')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (338, N'Medium', 1535, 10.0000, 20.0000, 30700.0000, 2149.0000, 28551.0000, 15350.0000, 13201.0000, 3, 4, 2, '20180901')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (339, N'Medium', 1123, 10.0000, 300.0000, 336900.0000, 23583.0000, 313317.0000, 280750.0000, 32567.0000, 5, 4, 3, '20170901')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (340, N'Medium', 1404, 10.0000, 300.0000, 421200.0000, 29484.0000, 391716.0000, 351000.0000, 40716.0000, 5, 4, 1, '20171101')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (341, N'Medium', 2763, 10.0000, 12.0000, 33156.0000, 2320.9200, 30835.0800, 8289.0000, 22546.0800, 1, 4, 4, '20171101')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (342, N'Medium', 2125, 10.0000, 7.0000, 14875.0000, 1041.2500, 13833.7500, 10625.0000, 3208.7500, 3, 4, 3, '20171201')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (343, N'Medium', 1659, 120.0000, 300.0000, 497700.0000, 34839.0000, 462861.0000, 414750.0000, 48111.0000, 5, 5, 2, '20180701')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (344, N'Medium', 609, 120.0000, 20.0000, 12180.0000, 852.6000, 11327.4000, 6090.0000, 5237.4000, 3, 5, 4, '20180801')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (345, N'Medium', 2087, 120.0000, 125.0000, 260875.0000, 18261.2500, 242613.7500, 250440.0000, -7826.2500, 2, 5, 3, '20180901')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (346, N'Medium', 1976, 120.0000, 20.0000, 39520.0000, 2766.4000, 36753.6000, 19760.0000, 16993.6000, 3, 5, 2, '20181001')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (347, N'Medium', 1421, 120.0000, 20.0000, 28420.0000, 1989.4000, 26430.6000, 14210.0000, 12220.6000, 3, 5, 5, '20171201')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (348, N'Medium', 1372, 120.0000, 300.0000, 411600.0000, 28812.0000, 382788.0000, 343000.0000, 39788.0000, 5, 5, 5, '20181201')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (349, N'Medium', 588, 120.0000, 20.0000, 11760.0000, 823.2000, 10936.8000, 5880.0000, 5056.8000, 3, 5, 3, '20171201')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (350, N'Medium', 3244.5, 250.0000, 12.0000, 38934.0000, 2725.3800, 36208.6200, 9733.5000, 26475.1200, 1, 6, 1, '20180101')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (351, N'Medium', 959, 250.0000, 300.0000, 287700.0000, 20139.0000, 267561.0000, 239750.0000, 27811.0000, 5, 6, 2, '20180201')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (352, N'Medium', 2747, 250.0000, 300.0000, 824100.0000, 57687.0000, 766413.0000, 686750.0000, 79663.0000, 5, 6, 4, '20180201')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (353, N'Medium', 1645, 260.0000, 125.0000, 205625.0000, 14393.7500, 191231.2500, 197400.0000, -6168.7500, 2, 1, 1, '20180501')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (354, N'Medium', 2876, 260.0000, 350.0000, 1006600.0000, 70462.0000, 936138.0000, 747760.0000, 188378.0000, 3, 1, 2, '20180901')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (355, N'Medium', 994, 260.0000, 125.0000, 124250.0000, 8697.5000, 115552.5000, 119280.0000, -3727.5000, 2, 1, 3, '20170901')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (356, N'Medium', 1118, 260.0000, 20.0000, 22360.0000, 1565.2000, 20794.8000, 11180.0000, 9614.8000, 3, 1, 1, '20181101')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (357, N'Medium', 1372, 260.0000, 300.0000, 411600.0000, 28812.0000, 382788.0000, 343000.0000, 39788.0000, 5, 1, 5, '20181201')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (358, N'Medium', 488, 5.0000, 7.0000, 3416.0000, 273.2800, 3142.7200, 2440.0000, 702.7200, 3, 3, 1, '20180201')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (359, N'Medium', 1282, 5.0000, 20.0000, 25640.0000, 2051.2000, 23588.8000, 12820.0000, 10768.8000, 3, 3, 5, '20180601')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (360, N'Medium', 257, 10.0000, 7.0000, 1799.0000, 143.9200, 1655.0800, 1285.0000, 370.0800, 3, 4, 1, '20180501')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (361, N'Medium', 1282, 260.0000, 20.0000, 25640.0000, 2051.2000, 23588.8000, 12820.0000, 10768.8000, 3, 1, 5, '20180601')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (362, N'Medium', 1540, 3.0000, 125.0000, 192500.0000, 15400.0000, 177100.0000, 184800.0000, -7700.0000, 2, 2, 4, '20180801')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (363, N'Medium', 490, 3.0000, 15.0000, 7350.0000, 588.0000, 6762.0000, 4900.0000, 1862.0000, 4, 2, 2, '20181101')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (364, N'Medium', 1362, 3.0000, 350.0000, 476700.0000, 38136.0000, 438564.0000, 354120.0000, 84444.0000, 3, 2, 4, '20181201')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (365, N'Medium', 2501, 5.0000, 15.0000, 37515.0000, 3001.2000, 34513.8000, 25010.0000, 9503.8000, 4, 3, 2, '20180301')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (366, N'Medium', 708, 5.0000, 20.0000, 14160.0000, 1132.8000, 13027.2000, 7080.0000, 5947.2000, 3, 3, 1, '20180601')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (367, N'Medium', 645, 5.0000, 20.0000, 12900.0000, 1032.0000, 11868.0000, 6450.0000, 5418.0000, 3, 3, 3, '20180701')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (368, N'Medium', 1562, 5.0000, 300.0000, 468600.0000, 37488.0000, 431112.0000, 390500.0000, 40612.0000, 5, 3, 2, '20180801')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (369, N'Medium', 1283, 5.0000, 300.0000, 384900.0000, 30792.0000, 354108.0000, 320750.0000, 33358.0000, 5, 3, 1, '20170901')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (370, N'Medium', 711, 5.0000, 15.0000, 10665.0000, 853.2000, 9811.8000, 7110.0000, 2701.8000, 4, 3, 3, '20181201')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (371, N'Medium', 1114, 10.0000, 125.0000, 139250.0000, 11140.0000, 128110.0000, 133680.0000, -5570.0000, 2, 4, 4, '20180301')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (372, N'Medium', 1259, 10.0000, 7.0000, 8813.0000, 705.0400, 8107.9600, 6295.0000, 1812.9600, 3, 4, 3, '20180401')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (373, N'Medium', 1095, 10.0000, 7.0000, 7665.0000, 613.2000, 7051.8000, 5475.0000, 1576.8000, 3, 4, 3, '20180501')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (374, N'Medium', 1366, 10.0000, 20.0000, 27320.0000, 2185.6000, 25134.4000, 13660.0000, 11474.4000, 3, 4, 3, '20180601')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (375, N'Medium', 2460, 10.0000, 300.0000, 738000.0000, 59040.0000, 678960.0000, 615000.0000, 63960.0000, 5, 4, 4, '20180601')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (376, N'Medium', 678, 10.0000, 7.0000, 4746.0000, 379.6800, 4366.3200, 3390.0000, 976.3200, 3, 4, 5, '20180801')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (377, N'Medium', 1598, 10.0000, 7.0000, 11186.0000, 894.8800, 10291.1200, 7990.0000, 2301.1200, 3, 4, 3, '20180801')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (378, N'Medium', 2409, 10.0000, 7.0000, 16863.0000, 1349.0400, 15513.9600, 12045.0000, 3468.9600, 3, 4, 3, '20170901')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (379, N'Medium', 1934, 10.0000, 20.0000, 38680.0000, 3094.4000, 35585.6000, 19340.0000, 16245.6000, 3, 4, 3, '20180901')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (380, N'Medium', 2993, 10.0000, 20.0000, 59860.0000, 4788.8000, 55071.2000, 29930.0000, 25141.2000, 3, 4, 4, '20180901')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (381, N'Medium', 2146, 10.0000, 350.0000, 751100.0000, 60088.0000, 691012.0000, 557960.0000, 133052.0000, 3, 4, 3, '20171101')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (382, N'Medium', 1946, 10.0000, 7.0000, 13622.0000, 1089.7600, 12532.2400, 9730.0000, 2802.2400, 3, 4, 4, '20171201')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (383, N'Medium', 1362, 10.0000, 350.0000, 476700.0000, 38136.0000, 438564.0000, 354120.0000, 84444.0000, 3, 4, 4, '20181201')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (384, N'Medium', 598, 120.0000, 12.0000, 7176.0000, 574.0800, 6601.9200, 1794.0000, 4807.9200, 1, 5, 1, '20180301')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (385, N'Medium', 2907, 120.0000, 7.0000, 20349.0000, 1627.9200, 18721.0800, 14535.0000, 4186.0800, 3, 5, 5, '20180601')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (386, N'Medium', 2338, 120.0000, 7.0000, 16366.0000, 1309.2800, 15056.7200, 11690.0000, 3366.7200, 3, 5, 3, '20180601')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (387, N'Medium', 386, 120.0000, 300.0000, 115800.0000, 9264.0000, 106536.0000, 96500.0000, 10036.0000, 5, 5, 2, '20171101')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (388, N'Medium', 635, 120.0000, 300.0000, 190500.0000, 15240.0000, 175260.0000, 158750.0000, 16510.0000, 5, 5, 4, '20181201')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (389, N'Medium', 574.5, 250.0000, 350.0000, 201075.0000, 16086.0000, 184989.0000, 149370.0000, 35619.0000, 3, 6, 2, '20180401')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (390, N'Medium', 2338, 250.0000, 7.0000, 16366.0000, 1309.2800, 15056.7200, 11690.0000, 3366.7200, 3, 6, 3, '20180601')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (391, N'Medium', 381, 250.0000, 350.0000, 133350.0000, 10668.0000, 122682.0000, 99060.0000, 23622.0000, 3, 6, 2, '20180801')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (392, N'Medium', 422, 250.0000, 350.0000, 147700.0000, 11816.0000, 135884.0000, 109720.0000, 26164.0000, 3, 6, 3, '20180801')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (393, N'Medium', 2134, 250.0000, 300.0000, 640200.0000, 51216.0000, 588984.0000, 533500.0000, 55484.0000, 5, 6, 1, '20180901')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (394, N'Medium', 808, 250.0000, 300.0000, 242400.0000, 19392.0000, 223008.0000, 202000.0000, 21008.0000, 5, 6, 5, '20171201')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (395, N'Medium', 708, 260.0000, 20.0000, 14160.0000, 1132.8000, 13027.2000, 7080.0000, 5947.2000, 3, 1, 1, '20180601')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (396, N'Medium', 2907, 260.0000, 7.0000, 20349.0000, 1627.9200, 18721.0800, 14535.0000, 4186.0800, 3, 1, 5, '20180601')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (397, N'Medium', 1366, 260.0000, 20.0000, 27320.0000, 2185.6000, 25134.4000, 13660.0000, 11474.4000, 3, 1, 3, '20180601')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (398, N'Medium', 2460, 260.0000, 300.0000, 738000.0000, 59040.0000, 678960.0000, 615000.0000, 63960.0000, 5, 1, 4, '20180601')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (399, N'Medium', 1520, 260.0000, 20.0000, 30400.0000, 2432.0000, 27968.0000, 15200.0000, 12768.0000, 3, 1, 3, '20181101')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (400, N'Medium', 711, 260.0000, 15.0000, 10665.0000, 853.2000, 9811.8000, 7110.0000, 2701.8000, 4, 1, 3, '20181201')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (401, N'Medium', 1375, 260.0000, 12.0000, 16500.0000, 1320.0000, 15180.0000, 4125.0000, 11055.0000, 1, 1, 4, '20171201')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (402, N'Medium', 635, 260.0000, 300.0000, 190500.0000, 15240.0000, 175260.0000, 158750.0000, 16510.0000, 5, 1, 4, '20181201')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (403, N'Medium', 436.5, 250.0000, 20.0000, 8730.0000, 698.4000, 8031.6000, 4365.0000, 3666.6000, 3, 6, 5, '20180701')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (404, N'Medium', 1094, 3.0000, 300.0000, 328200.0000, 29538.0000, 298662.0000, 273500.0000, 25162.0000, 5, 2, 1, '20180601')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (405, N'Medium', 367, 3.0000, 12.0000, 4404.0000, 396.3600, 4007.6400, 1101.0000, 2906.6400, 1, 2, 4, '20171001')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (406, N'Medium', 3802.5, 5.0000, 300.0000, 1140750.0000, 102667.5000, 1038082.5000, 950625.0000, 87457.5000, 5, 3, 1, '20180401')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (407, N'Medium', 1666, 5.0000, 350.0000, 583100.0000, 52479.0000, 530621.0000, 433160.0000, 97461.0000, 3, 3, 2, '20180501')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (408, N'Medium', 322, 5.0000, 300.0000, 96600.0000, 8694.0000, 87906.0000, 80500.0000, 7406.0000, 5, 3, 2, '20170901')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (409, N'Medium', 2321, 5.0000, 12.0000, 27852.0000, 2506.6800, 25345.3200, 6963.0000, 18382.3200, 1, 3, 1, '20181101')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (410, N'Medium', 1857, 5.0000, 125.0000, 232125.0000, 20891.2500, 211233.7500, 222840.0000, -11606.2500, 2, 3, 2, '20171101')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (411, N'Medium', 1611, 5.0000, 7.0000, 11277.0000, 1014.9300, 10262.0700, 8055.0000, 2207.0700, 3, 3, 1, '20171201')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (412, N'Medium', 2797, 5.0000, 125.0000, 349625.0000, 31466.2500, 318158.7500, 335640.0000, -17481.2500, 2, 3, 5, '20181201')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (413, N'Medium', 334, 5.0000, 300.0000, 100200.0000, 9018.0000, 91182.0000, 83500.0000, 7682.0000, 5, 3, 3, '20171201')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (414, N'Medium', 2565, 10.0000, 300.0000, 769500.0000, 69255.0000, 700245.0000, 641250.0000, 58995.0000, 5, 4, 4, '20180101')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (415, N'Medium', 2417, 10.0000, 350.0000, 845950.0000, 76135.5000, 769814.5000, 628420.0000, 141394.5000, 3, 4, 4, '20180101')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (416, N'Medium', 3675, 10.0000, 15.0000, 55125.0000, 4961.2500, 50163.7500, 36750.0000, 13413.7500, 4, 4, 5, '20180401')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (417, N'Medium', 1094, 10.0000, 300.0000, 328200.0000, 29538.0000, 298662.0000, 273500.0000, 25162.0000, 5, 4, 1, '20180601')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (418, N'Medium', 1227, 10.0000, 15.0000, 18405.0000, 1656.4500, 16748.5500, 12270.0000, 4478.5500, 4, 4, 2, '20181001')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (419, N'Medium', 367, 10.0000, 12.0000, 4404.0000, 396.3600, 4007.6400, 1101.0000, 2906.6400, 1, 4, 4, '20171001')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (420, N'Medium', 1324, 10.0000, 300.0000, 397200.0000, 35748.0000, 361452.0000, 331000.0000, 30452.0000, 5, 4, 2, '20181101')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (421, N'Medium', 1775, 10.0000, 12.0000, 21300.0000, 1917.0000, 19383.0000, 5325.0000, 14058.0000, 1, 4, 3, '20171101')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (422, N'Medium', 2797, 10.0000, 125.0000, 349625.0000, 31466.2500, 318158.7500, 335640.0000, -17481.2500, 2, 4, 5, '20181201')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (423, N'Medium', 245, 120.0000, 15.0000, 3675.0000, 330.7500, 3344.2500, 2450.0000, 894.2500, 4, 5, 4, '20180501')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (424, N'Medium', 3793.5, 120.0000, 300.0000, 1138050.0000, 102424.5000, 1035625.5000, 948375.0000, 87250.5000, 5, 5, 1, '20180701')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (425, N'Medium', 1307, 120.0000, 350.0000, 457450.0000, 41170.5000, 416279.5000, 339820.0000, 76459.5000, 3, 5, 3, '20180701')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (426, N'Medium', 567, 120.0000, 125.0000, 70875.0000, 6378.7500, 64496.2500, 68040.0000, -3543.7500, 2, 5, 1, '20180901')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (427, N'Medium', 2110, 120.0000, 125.0000, 263750.0000, 23737.5000, 240012.5000, 253200.0000, -13187.5000, 2, 5, 4, '20180901')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (428, N'Medium', 1269, 120.0000, 350.0000, 444150.0000, 39973.5000, 404176.5000, 329940.0000, 74236.5000, 3, 5, 1, '20181001')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (429, N'Medium', 1956, 250.0000, 12.0000, 23472.0000, 2112.4800, 21359.5200, 5868.0000, 15491.5200, 1, 6, 5, '20180101')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (430, N'Medium', 2659, 250.0000, 300.0000, 797700.0000, 71793.0000, 725907.0000, 664750.0000, 61157.0000, 5, 6, 3, '20180201')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (431, N'Medium', 1351.5, 250.0000, 350.0000, 473025.0000, 42572.2500, 430452.7500, 351390.0000, 79062.7500, 3, 6, 5, '20180401')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (432, N'Medium', 880, 250.0000, 12.0000, 10560.0000, 950.4000, 9609.6000, 2640.0000, 6969.6000, 1, 6, 3, '20180501')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (433, N'Medium', 1867, 250.0000, 300.0000, 560100.0000, 50409.0000, 509691.0000, 466750.0000, 42941.0000, 5, 6, 5, '20180901')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (434, N'Medium', 2234, 250.0000, 12.0000, 26808.0000, 2412.7200, 24395.2800, 6702.0000, 17693.2800, 1, 6, 2, '20170901')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (435, N'Medium', 1227, 250.0000, 15.0000, 18405.0000, 1656.4500, 16748.5500, 12270.0000, 4478.5500, 4, 6, 2, '20181001')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (436, N'Medium', 877, 250.0000, 125.0000, 109625.0000, 9866.2500, 99758.7500, 105240.0000, -5481.2500, 2, 6, 4, '20181101')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (437, N'Medium', 2071, 260.0000, 350.0000, 724850.0000, 65236.5000, 659613.5000, 538460.0000, 121153.5000, 3, 1, 5, '20180901')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (438, N'Medium', 1269, 260.0000, 350.0000, 444150.0000, 39973.5000, 404176.5000, 329940.0000, 74236.5000, 3, 1, 1, '20181001')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (439, N'Medium', 970, 260.0000, 15.0000, 14550.0000, 1309.5000, 13240.5000, 9700.0000, 3540.5000, 4, 1, 3, '20171101')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (440, N'Medium', 1694, 260.0000, 20.0000, 33880.0000, 3049.2000, 30830.8000, 16940.0000, 13890.8000, 3, 1, 4, '20181101')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (441, N'Medium', 663, 3.0000, 20.0000, 13260.0000, 1193.4000, 12066.6000, 6630.0000, 5436.6000, 3, 2, 3, '20180501')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (442, N'Medium', 819, 3.0000, 7.0000, 5733.0000, 515.9700, 5217.0300, 4095.0000, 1122.0300, 3, 2, 1, '20180701')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (443, N'Medium', 1580, 3.0000, 12.0000, 18960.0000, 1706.4000, 17253.6000, 4740.0000, 12513.6000, 1, 2, 3, '20180901')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (444, N'Medium', 521, 3.0000, 7.0000, 3647.0000, 328.2300, 3318.7700, 2605.0000, 713.7700, 3, 2, 4, '20181201')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (445, N'Medium', 973, 10.0000, 20.0000, 19460.0000, 1751.4000, 17708.6000, 9730.0000, 7978.6000, 3, 4, 5, '20180301')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (446, N'Medium', 1038, 10.0000, 20.0000, 20760.0000, 1868.4000, 18891.6000, 10380.0000, 8511.6000, 3, 4, 4, '20180601')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (447, N'Medium', 360, 10.0000, 7.0000, 2520.0000, 226.8000, 2293.2000, 1800.0000, 493.2000, 3, 4, 3, '20181001')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (448, N'Medium', 1967, 120.0000, 12.0000, 23604.0000, 2124.3600, 21479.6400, 5901.0000, 15578.6400, 1, 5, 2, '20180301')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (449, N'Medium', 2628, 120.0000, 15.0000, 39420.0000, 3547.8000, 35872.2000, 26280.0000, 9592.2000, 4, 5, 4, '20180401')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (450, N'Medium', 360, 250.0000, 7.0000, 2520.0000, 226.8000, 2293.2000, 1800.0000, 493.2000, 3, 6, 3, '20181001')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (451, N'Medium', 2682, 250.0000, 20.0000, 53640.0000, 4827.6000, 48812.4000, 26820.0000, 21992.4000, 3, 6, 2, '20171101')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (452, N'Medium', 521, 250.0000, 7.0000, 3647.0000, 328.2300, 3318.7700, 2605.0000, 713.7700, 3, 6, 4, '20181201')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (453, N'Medium', 1038, 260.0000, 20.0000, 20760.0000, 1868.4000, 18891.6000, 10380.0000, 8511.6000, 3, 1, 4, '20180601')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (454, N'Medium', 1630.5, 260.0000, 15.0000, 24457.5000, 2201.1750, 22256.3250, 16305.0000, 5951.3250, 4, 1, 1, '20180701')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (455, N'Medium', 306, 260.0000, 12.0000, 3672.0000, 330.4800, 3341.5200, 918.0000, 2423.5200, 1, 1, 2, '20171201')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (456, N'High', 386, 3.0000, 12.0000, 4632.0000, 463.2000, 4168.8000, 1158.0000, 3010.8000, 1, 2, 5, '20171001')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (457, N'High', 2328, 5.0000, 7.0000, 16296.0000, 1629.6000, 14666.4000, 11640.0000, 3026.4000, 3, 3, 5, '20180901')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (458, N'High', 386, 10.0000, 12.0000, 4632.0000, 463.2000, 4168.8000, 1158.0000, 3010.8000, 1, 4, 5, '20171001')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (459, N'High', 3445.5, 3.0000, 125.0000, 430687.5000, 43068.7500, 387618.7500, 413460.0000, -25841.2500, 2, 2, 5, '20180401')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (460, N'High', 1482, 3.0000, 125.0000, 185250.0000, 18525.0000, 166725.0000, 177840.0000, -11115.0000, 2, 2, 2, '20171201')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (461, N'High', 2313, 5.0000, 350.0000, 809550.0000, 80955.0000, 728595.0000, 601380.0000, 127215.0000, 3, 3, 5, '20180501')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (462, N'High', 1804, 5.0000, 125.0000, 225500.0000, 22550.0000, 202950.0000, 216480.0000, -13530.0000, 2, 3, 5, '20171101')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (463, N'High', 2072, 5.0000, 15.0000, 31080.0000, 3108.0000, 27972.0000, 20720.0000, 7252.0000, 4, 3, 2, '20181201')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (464, N'High', 1954, 10.0000, 20.0000, 39080.0000, 3908.0000, 35172.0000, 19540.0000, 15632.0000, 3, 4, 2, '20180301')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (465, N'High', 591, 10.0000, 300.0000, 177300.0000, 17730.0000, 159570.0000, 147750.0000, 11820.0000, 5, 4, 4, '20180501')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (466, N'High', 2167, 10.0000, 15.0000, 32505.0000, 3250.5000, 29254.5000, 21670.0000, 7584.5000, 4, 4, 2, '20171001')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (467, N'High', 241, 10.0000, 20.0000, 4820.0000, 482.0000, 4338.0000, 2410.0000, 1928.0000, 3, 4, 3, '20181001')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (468, N'High', 681, 120.0000, 15.0000, 10215.0000, 1021.5000, 9193.5000, 6810.0000, 2383.5000, 4, 5, 3, '20180101')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (469, N'High', 510, 120.0000, 15.0000, 7650.0000, 765.0000, 6885.0000, 5100.0000, 1785.0000, 4, 5, 3, '20180401')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (470, N'High', 790, 120.0000, 15.0000, 11850.0000, 1185.0000, 10665.0000, 7900.0000, 2765.0000, 4, 5, 5, '20180501')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (471, N'High', 639, 120.0000, 350.0000, 223650.0000, 22365.0000, 201285.0000, 166140.0000, 35145.0000, 3, 5, 2, '20180701')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (472, N'High', 1596, 120.0000, 125.0000, 199500.0000, 19950.0000, 179550.0000, 191520.0000, -11970.0000, 2, 5, 5, '20180901')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (473, N'High', 2294, 120.0000, 300.0000, 688200.0000, 68820.0000, 619380.0000, 573500.0000, 45880.0000, 5, 5, 5, '20171001')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (474, N'High', 241, 120.0000, 20.0000, 4820.0000, 482.0000, 4338.0000, 2410.0000, 1928.0000, 3, 5, 3, '20181001')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (475, N'High', 2665, 120.0000, 7.0000, 18655.0000, 1865.5000, 16789.5000, 13325.0000, 3464.5000, 3, 5, 3, '20181101')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (476, N'High', 1916, 120.0000, 125.0000, 239500.0000, 23950.0000, 215550.0000, 229920.0000, -14370.0000, 2, 5, 1, '20171201')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (477, N'High', 853, 120.0000, 300.0000, 255900.0000, 25590.0000, 230310.0000, 213250.0000, 17060.0000, 5, 5, 2, '20181201')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (478, N'High', 341, 250.0000, 125.0000, 42625.0000, 4262.5000, 38362.5000, 40920.0000, -2557.5000, 2, 6, 4, '20180501')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (479, N'High', 641, 250.0000, 15.0000, 9615.0000, 961.5000, 8653.5000, 6410.0000, 2243.5000, 4, 6, 4, '20180701')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (480, N'High', 2807, 250.0000, 350.0000, 982450.0000, 98245.0000, 884205.0000, 729820.0000, 154385.0000, 3, 6, 5, '20180801')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (481, N'High', 432, 250.0000, 300.0000, 129600.0000, 12960.0000, 116640.0000, 108000.0000, 8640.0000, 5, 6, 4, '20180901')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (482, N'High', 2294, 250.0000, 300.0000, 688200.0000, 68820.0000, 619380.0000, 573500.0000, 45880.0000, 5, 6, 5, '20171001')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (483, N'High', 2167, 250.0000, 15.0000, 32505.0000, 3250.5000, 29254.5000, 21670.0000, 7584.5000, 4, 6, 2, '20171001')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (484, N'High', 2529, 250.0000, 125.0000, 316125.0000, 31612.5000, 284512.5000, 303480.0000, -18967.5000, 2, 6, 1, '20181101')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (485, N'High', 1870, 250.0000, 350.0000, 654500.0000, 65450.0000, 589050.0000, 486200.0000, 102850.0000, 3, 6, 3, '20171201')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (486, N'High', 579, 260.0000, 125.0000, 72375.0000, 7237.5000, 65137.5000, 69480.0000, -4342.5000, 2, 1, 5, '20180101')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (487, N'High', 2240, 260.0000, 350.0000, 784000.0000, 78400.0000, 705600.0000, 582400.0000, 123200.0000, 3, 1, 1, '20180201')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (488, N'High', 2993, 260.0000, 300.0000, 897900.0000, 89790.0000, 808110.0000, 748250.0000, 59860.0000, 5, 1, 5, '20180301')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (489, N'High', 3520.5, 260.0000, 12.0000, 42246.0000, 4224.6000, 38021.4000, 10561.5000, 27459.9000, 1, 1, 1, '20180401')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (490, N'High', 2039, 260.0000, 20.0000, 40780.0000, 4078.0000, 36702.0000, 20390.0000, 16312.0000, 3, 1, 4, '20180501')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (491, N'High', 2574, 260.0000, 12.0000, 30888.0000, 3088.8000, 27799.2000, 7722.0000, 20077.2000, 1, 1, 3, '20180801')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (492, N'High', 707, 260.0000, 350.0000, 247450.0000, 24745.0000, 222705.0000, 183820.0000, 38885.0000, 3, 1, 1, '20180901')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (493, N'High', 2072, 260.0000, 15.0000, 31080.0000, 3108.0000, 27972.0000, 20720.0000, 7252.0000, 4, 1, 2, '20181201')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (494, N'High', 853, 260.0000, 300.0000, 255900.0000, 25590.0000, 230310.0000, 213250.0000, 17060.0000, 5, 1, 2, '20181201')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (495, N'High', 1198, 3.0000, 12.0000, 14376.0000, 1581.3600, 12794.6400, 3594.0000, 9200.6400, 1, 2, 2, '20171001')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (496, N'High', 2532, 10.0000, 7.0000, 17724.0000, 1949.6400, 15774.3600, 12660.0000, 3114.3600, 3, 4, 2, '20180401')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (497, N'High', 1198, 10.0000, 12.0000, 14376.0000, 1581.3600, 12794.6400, 3594.0000, 9200.6400, 1, 4, 2, '20171001')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (498, N'High', 384, 120.0000, 15.0000, 5760.0000, 633.6000, 5126.4000, 3840.0000, 1286.4000, 4, 5, 1, '20180101')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (499, N'High', 472, 120.0000, 12.0000, 5664.0000, 623.0400, 5040.9600, 1416.0000, 3624.9600, 1, 5, 3, '20181001')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (500, N'High', 1579, 250.0000, 7.0000, 11053.0000, 1215.8300, 9837.1700, 7895.0000, 1942.1700, 3, 6, 5, '20180301')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (501, N'High', 1005, 250.0000, 12.0000, 12060.0000, 1326.6000, 10733.4000, 3015.0000, 7718.4000, 1, 6, 4, '20170901')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (502, N'High', 3199.5, 260.0000, 15.0000, 47992.5000, 5279.1750, 42713.3250, 31995.0000, 10718.3250, 4, 1, 5, '20180701')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (503, N'High', 472, 260.0000, 12.0000, 5664.0000, 623.0400, 5040.9600, 1416.0000, 3624.9600, 1, 1, 3, '20181001')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (504, N'High', 1937, 3.0000, 12.0000, 23244.0000, 2556.8400, 20687.1600, 5811.0000, 14876.1600, 1, 2, 1, '20180201')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (505, N'High', 792, 3.0000, 350.0000, 277200.0000, 30492.0000, 246708.0000, 205920.0000, 40788.0000, 3, 2, 3, '20180301')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (506, N'High', 2811, 3.0000, 300.0000, 843300.0000, 92763.0000, 750537.0000, 702750.0000, 47787.0000, 5, 2, 3, '20180701')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (507, N'High', 2441, 3.0000, 125.0000, 305125.0000, 33563.7500, 271561.2500, 292920.0000, -21358.7500, 2, 2, 2, '20181001')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (508, N'High', 1560, 3.0000, 15.0000, 23400.0000, 2574.0000, 20826.0000, 15600.0000, 5226.0000, 4, 2, 1, '20171101')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (509, N'High', 2706, 3.0000, 7.0000, 18942.0000, 2083.6200, 16858.3800, 13530.0000, 3328.3800, 3, 2, 4, '20171101')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (510, N'High', 766, 5.0000, 350.0000, 268100.0000, 29491.0000, 238609.0000, 199160.0000, 39449.0000, 3, 3, 3, '20180101')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (511, N'High', 2992, 5.0000, 20.0000, 59840.0000, 6582.4000, 53257.6000, 29920.0000, 23337.6000, 3, 3, 3, '20171001')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (512, N'High', 2157, 5.0000, 15.0000, 32355.0000, 3559.0500, 28795.9500, 21570.0000, 7225.9500, 4, 3, 4, '20181201')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (513, N'High', 873, 10.0000, 300.0000, 261900.0000, 28809.0000, 233091.0000, 218250.0000, 14841.0000, 5, 4, 1, '20180101')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (514, N'High', 1122, 10.0000, 20.0000, 22440.0000, 2468.4000, 19971.6000, 11220.0000, 8751.6000, 3, 4, 4, '20180301')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (515, N'High', 2104.5, 10.0000, 350.0000, 736575.0000, 81023.2500, 655551.7500, 547170.0000, 108381.7500, 3, 4, 1, '20180701')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (516, N'High', 4026, 10.0000, 12.0000, 48312.0000, 5314.3200, 42997.6800, 12078.0000, 30919.6800, 1, 4, 1, '20180701')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (517, N'High', 2425.5, 10.0000, 12.0000, 29106.0000, 3201.6600, 25904.3400, 7276.5000, 18627.8400, 1, 4, 2, '20180701')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (518, N'High', 2394, 10.0000, 20.0000, 47880.0000, 5266.8000, 42613.2000, 23940.0000, 18673.2000, 3, 4, 1, '20180801')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (519, N'High', 1984, 10.0000, 15.0000, 29760.0000, 3273.6000, 26486.4000, 19840.0000, 6646.4000, 4, 4, 4, '20180801')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (520, N'High', 2441, 10.0000, 125.0000, 305125.0000, 33563.7500, 271561.2500, 292920.0000, -21358.7500, 2, 4, 2, '20181001')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (521, N'High', 2992, 10.0000, 20.0000, 59840.0000, 6582.4000, 53257.6000, 29920.0000, 23337.6000, 3, 4, 3, '20171001')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (522, N'High', 1366, 10.0000, 300.0000, 409800.0000, 45078.0000, 364722.0000, 341500.0000, 23222.0000, 5, 4, 1, '20181101')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (523, N'High', 2805, 120.0000, 20.0000, 56100.0000, 6171.0000, 49929.0000, 28050.0000, 21879.0000, 3, 5, 2, '20170901')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (524, N'High', 655, 120.0000, 15.0000, 9825.0000, 1080.7500, 8744.2500, 6550.0000, 2194.2500, 4, 5, 4, '20170901')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (525, N'High', 344, 120.0000, 350.0000, 120400.0000, 13244.0000, 107156.0000, 89440.0000, 17716.0000, 3, 5, 4, '20171001')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (526, N'High', 1808, 120.0000, 7.0000, 12656.0000, 1392.1600, 11263.8400, 9040.0000, 2223.8400, 3, 5, 1, '20181101')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (527, N'High', 1734, 250.0000, 12.0000, 20808.0000, 2288.8800, 18519.1200, 5202.0000, 13317.1200, 1, 6, 2, '20180101')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (528, N'High', 554, 250.0000, 125.0000, 69250.0000, 7617.5000, 61632.5000, 66480.0000, -4847.5000, 2, 6, 4, '20180101')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (529, N'High', 2935, 250.0000, 20.0000, 58700.0000, 6457.0000, 52243.0000, 29350.0000, 22893.0000, 3, 6, 1, '20171101')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (530, N'High', 3165, 260.0000, 125.0000, 395625.0000, 43518.7500, 352106.2500, 379800.0000, -27693.7500, 2, 1, 3, '20180101')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (531, N'High', 2629, 260.0000, 20.0000, 52580.0000, 5783.8000, 46796.2000, 26290.0000, 20506.2000, 3, 1, 4, '20180101')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (532, N'High', 1433, 260.0000, 125.0000, 179125.0000, 19703.7500, 159421.2500, 171960.0000, -12538.7500, 2, 1, 2, '20180501')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (533, N'High', 947, 260.0000, 125.0000, 118375.0000, 13021.2500, 105353.7500, 113640.0000, -8286.2500, 2, 1, 4, '20170901')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (534, N'High', 344, 260.0000, 350.0000, 120400.0000, 13244.0000, 107156.0000, 89440.0000, 17716.0000, 3, 1, 4, '20171001')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (535, N'High', 2157, 260.0000, 15.0000, 32355.0000, 3559.0500, 28795.9500, 21570.0000, 7225.9500, 4, 1, 4, '20181201')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (536, N'High', 380, 10.0000, 7.0000, 2660.0000, 292.6000, 2367.4000, 1900.0000, 467.4000, 3, 4, 5, '20170901')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (537, N'High', 886, 3.0000, 350.0000, 310100.0000, 37212.0000, 272888.0000, 230360.0000, 42528.0000, 3, 2, 4, '20180601')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (538, N'High', 2416, 3.0000, 125.0000, 302000.0000, 36240.0000, 265760.0000, 289920.0000, -24160.0000, 2, 2, 1, '20170901')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (539, N'High', 2156, 3.0000, 125.0000, 269500.0000, 32340.0000, 237160.0000, 258720.0000, -21560.0000, 2, 2, 4, '20181001')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (540, N'High', 2689, 3.0000, 15.0000, 40335.0000, 4840.2000, 35494.8000, 26890.0000, 8604.8000, 4, 2, 1, '20181101')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (541, N'High', 677, 5.0000, 15.0000, 10155.0000, 1218.6000, 8936.4000, 6770.0000, 2166.4000, 4, 3, 5, '20180301')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (542, N'High', 1773, 5.0000, 300.0000, 531900.0000, 63828.0000, 468072.0000, 443250.0000, 24822.0000, 5, 3, 2, '20180401')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (543, N'High', 2420, 5.0000, 7.0000, 16940.0000, 2032.8000, 14907.2000, 12100.0000, 2807.2000, 3, 3, 4, '20180901')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (544, N'High', 2734, 5.0000, 7.0000, 19138.0000, 2296.5600, 16841.4400, 13670.0000, 3171.4400, 3, 3, 1, '20181001')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (545, N'High', 1715, 5.0000, 20.0000, 34300.0000, 4116.0000, 30184.0000, 17150.0000, 13034.0000, 3, 3, 4, '20171001')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (546, N'High', 1186, 5.0000, 300.0000, 355800.0000, 42696.0000, 313104.0000, 296500.0000, 16604.0000, 5, 3, 2, '20171201')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (547, N'High', 3495, 10.0000, 300.0000, 1048500.0000, 125820.0000, 922680.0000, 873750.0000, 48930.0000, 5, 4, 5, '20180101')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (548, N'High', 886, 10.0000, 350.0000, 310100.0000, 37212.0000, 272888.0000, 230360.0000, 42528.0000, 3, 4, 4, '20180601')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (549, N'High', 2156, 10.0000, 125.0000, 269500.0000, 32340.0000, 237160.0000, 258720.0000, -21560.0000, 2, 4, 4, '20181001')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (550, N'High', 905, 10.0000, 20.0000, 18100.0000, 2172.0000, 15928.0000, 9050.0000, 6878.0000, 3, 4, 4, '20181001')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (551, N'High', 1715, 10.0000, 20.0000, 34300.0000, 4116.0000, 30184.0000, 17150.0000, 13034.0000, 3, 4, 4, '20171001')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (552, N'High', 1594, 10.0000, 350.0000, 557900.0000, 66948.0000, 490952.0000, 414440.0000, 76512.0000, 3, 4, 2, '20181101')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (553, N'High', 1359, 10.0000, 300.0000, 407700.0000, 48924.0000, 358776.0000, 339750.0000, 19026.0000, 5, 4, 3, '20181101')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (554, N'High', 2150, 10.0000, 300.0000, 645000.0000, 77400.0000, 567600.0000, 537500.0000, 30100.0000, 5, 4, 4, '20181101')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (555, N'High', 1197, 10.0000, 350.0000, 418950.0000, 50274.0000, 368676.0000, 311220.0000, 57456.0000, 3, 4, 4, '20181101')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (556, N'High', 380, 10.0000, 15.0000, 5700.0000, 684.0000, 5016.0000, 3800.0000, 1216.0000, 4, 4, 4, '20171201')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (557, N'High', 1233, 10.0000, 20.0000, 24660.0000, 2959.2000, 21700.8000, 12330.0000, 9370.8000, 3, 4, 4, '20181201')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (558, N'High', 1395, 120.0000, 350.0000, 488250.0000, 58590.0000, 429660.0000, 362700.0000, 66960.0000, 3, 5, 4, '20180701')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (559, N'High', 986, 120.0000, 350.0000, 345100.0000, 41412.0000, 303688.0000, 256360.0000, 47328.0000, 3, 5, 5, '20181001')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (560, N'High', 905, 120.0000, 20.0000, 18100.0000, 2172.0000, 15928.0000, 9050.0000, 6878.0000, 3, 5, 4, '20181001')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (561, N'High', 2109, 250.0000, 12.0000, 25308.0000, 3036.9600, 22271.0400, 6327.0000, 15944.0400, 1, 6, 1, '20180501')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (562, N'High', 3874.5, 250.0000, 15.0000, 58117.5000, 6974.1000, 51143.4000, 38745.0000, 12398.4000, 4, 6, 2, '20180701')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (563, N'High', 623, 250.0000, 350.0000, 218050.0000, 26166.0000, 191884.0000, 161980.0000, 29904.0000, 3, 6, 1, '20170901')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (564, N'High', 986, 250.0000, 350.0000, 345100.0000, 41412.0000, 303688.0000, 256360.0000, 47328.0000, 3, 6, 5, '20181001')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (565, N'High', 2387, 250.0000, 125.0000, 298375.0000, 35805.0000, 262570.0000, 286440.0000, -23870.0000, 2, 6, 5, '20181101')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (566, N'High', 1233, 250.0000, 20.0000, 24660.0000, 2959.2000, 21700.8000, 12330.0000, 9370.8000, 3, 6, 4, '20181201')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (567, N'High', 270, 260.0000, 350.0000, 94500.0000, 11340.0000, 83160.0000, 70200.0000, 12960.0000, 3, 1, 5, '20180201')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (568, N'High', 3421.5, 260.0000, 7.0000, 23950.5000, 2874.0600, 21076.4400, 17107.5000, 3968.9400, 3, 1, 2, '20180701')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (569, N'High', 2734, 260.0000, 7.0000, 19138.0000, 2296.5600, 16841.4400, 13670.0000, 3171.4400, 3, 1, 1, '20181001')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (570, N'High', 2548, 260.0000, 15.0000, 38220.0000, 4586.4000, 33633.6000, 25480.0000, 8153.6000, 4, 1, 5, '20171101')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (571, N'High', 2521.5, 3.0000, 20.0000, 50430.0000, 6051.6000, 44378.4000, 25215.0000, 19163.4000, 3, 2, 2, '20180101')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (572, N'High', 2661, 5.0000, 12.0000, 31932.0000, 3831.8400, 28100.1600, 7983.0000, 20117.1600, 1, 3, 4, '20180501')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (573, N'High', 1531, 10.0000, 20.0000, 30620.0000, 3674.4000, 26945.6000, 15310.0000, 11635.6000, 3, 4, 3, '20181201')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (574, N'High', 1491, 250.0000, 7.0000, 10437.0000, 1252.4400, 9184.5600, 7455.0000, 1729.5600, 3, 6, 2, '20180301')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (575, N'High', 1531, 250.0000, 20.0000, 30620.0000, 3674.4000, 26945.6000, 15310.0000, 11635.6000, 3, 6, 3, '20181201')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (576, N'High', 2761, 260.0000, 12.0000, 33132.0000, 3975.8400, 29156.1600, 8283.0000, 20873.1600, 1, 1, 1, '20170901')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (577, N'High', 2567, 3.0000, 15.0000, 38505.0000, 5005.6500, 33499.3500, 25670.0000, 7829.3500, 4, 2, 5, '20180601')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (578, N'High', 2567, 250.0000, 15.0000, 38505.0000, 5005.6500, 33499.3500, 25670.0000, 7829.3500, 4, 6, 5, '20180601')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (579, N'High', 923, 3.0000, 350.0000, 323050.0000, 41996.5000, 281053.5000, 239980.0000, 41073.5000, 3, 2, 1, '20180301')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (580, N'High', 1790, 3.0000, 350.0000, 626500.0000, 81445.0000, 545055.0000, 465400.0000, 79655.0000, 3, 2, 2, '20180301')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (581, N'High', 442, 3.0000, 20.0000, 8840.0000, 1149.2000, 7690.8000, 4420.0000, 3270.8000, 3, 2, 3, '20170901')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (582, N'High', 982.5, 5.0000, 350.0000, 343875.0000, 44703.7500, 299171.2500, 255450.0000, 43721.2500, 3, 3, 5, '20180101')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (583, N'High', 1298, 5.0000, 7.0000, 9086.0000, 1181.1800, 7904.8200, 6490.0000, 1414.8200, 3, 3, 5, '20180201')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (584, N'High', 604, 5.0000, 12.0000, 7248.0000, 942.2400, 6305.7600, 1812.0000, 4493.7600, 1, 3, 4, '20180601')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (585, N'High', 2255, 5.0000, 20.0000, 45100.0000, 5863.0000, 39237.0000, 22550.0000, 16687.0000, 3, 3, 4, '20180701')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (586, N'High', 1249, 5.0000, 20.0000, 24980.0000, 3247.4000, 21732.6000, 12490.0000, 9242.6000, 3, 3, 1, '20181001')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (587, N'High', 1438.5, 10.0000, 7.0000, 10069.5000, 1309.0350, 8760.4650, 7192.5000, 1567.9650, 3, 4, 5, '20180101')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (588, N'High', 807, 10.0000, 300.0000, 242100.0000, 31473.0000, 210627.0000, 201750.0000, 8877.0000, 5, 4, 3, '20180101')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (589, N'High', 2641, 10.0000, 20.0000, 52820.0000, 6866.6000, 45953.4000, 26410.0000, 19543.4000, 3, 4, 5, '20180201')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (590, N'High', 2708, 10.0000, 20.0000, 54160.0000, 7040.8000, 47119.2000, 27080.0000, 20039.2000, 3, 4, 3, '20180201')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (591, N'High', 2632, 10.0000, 350.0000, 921200.0000, 119756.0000, 801444.0000, 684320.0000, 117124.0000, 3, 4, 1, '20180601')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (592, N'High', 1583, 10.0000, 125.0000, 197875.0000, 25723.7500, 172151.2500, 189960.0000, -17808.7500, 2, 4, 1, '20180601')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (593, N'High', 571, 10.0000, 12.0000, 6852.0000, 890.7600, 5961.2400, 1713.0000, 4248.2400, 1, 4, 4, '20180701')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (594, N'High', 2696, 10.0000, 7.0000, 18872.0000, 2453.3600, 16418.6400, 13480.0000, 2938.6400, 3, 4, 2, '20180801')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (595, N'High', 1565, 10.0000, 15.0000, 23475.0000, 3051.7500, 20423.2500, 15650.0000, 4773.2500, 4, 4, 1, '20181001')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (596, N'High', 1249, 10.0000, 20.0000, 24980.0000, 3247.4000, 21732.6000, 12490.0000, 9242.6000, 3, 4, 1, '20181001')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (597, N'High', 357, 10.0000, 350.0000, 124950.0000, 16243.5000, 108706.5000, 92820.0000, 15886.5000, 3, 4, 3, '20181101')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (598, N'High', 1013, 10.0000, 12.0000, 12156.0000, 1580.2800, 10575.7200, 3039.0000, 7536.7200, 1, 4, 3, '20181201')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (599, N'High', 3997.5, 120.0000, 15.0000, 59962.5000, 7795.1250, 52167.3750, 39975.0000, 12192.3750, 4, 5, 2, '20180101')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (600, N'High', 2632, 120.0000, 350.0000, 921200.0000, 119756.0000, 801444.0000, 684320.0000, 117124.0000, 3, 5, 1, '20180601')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (601, N'High', 1190, 120.0000, 7.0000, 8330.0000, 1082.9000, 7247.1000, 5950.0000, 1297.1000, 3, 5, 2, '20180601')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (602, N'High', 604, 120.0000, 12.0000, 7248.0000, 942.2400, 6305.7600, 1812.0000, 4493.7600, 1, 5, 4, '20180601')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (603, N'High', 660, 120.0000, 15.0000, 9900.0000, 1287.0000, 8613.0000, 6600.0000, 2013.0000, 4, 5, 3, '20170901')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (604, N'High', 410, 120.0000, 12.0000, 4920.0000, 639.6000, 4280.4000, 1230.0000, 3050.4000, 1, 5, 4, '20181001')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (605, N'High', 2605, 120.0000, 300.0000, 781500.0000, 101595.0000, 679905.0000, 651250.0000, 28655.0000, 5, 5, 4, '20171101')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (606, N'High', 1013, 120.0000, 12.0000, 12156.0000, 1580.2800, 10575.7200, 3039.0000, 7536.7200, 1, 5, 3, '20181201')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (607, N'High', 1583, 250.0000, 125.0000, 197875.0000, 25723.7500, 172151.2500, 189960.0000, -17808.7500, 2, 6, 1, '20180601')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (608, N'High', 1565, 250.0000, 15.0000, 23475.0000, 3051.7500, 20423.2500, 15650.0000, 4773.2500, 4, 6, 1, '20181001')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (609, N'High', 1659, 260.0000, 125.0000, 207375.0000, 26958.7500, 180416.2500, 199080.0000, -18663.7500, 2, 1, 1, '20180101')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (610, N'High', 1190, 260.0000, 7.0000, 8330.0000, 1082.9000, 7247.1000, 5950.0000, 1297.1000, 3, 1, 2, '20180601')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (611, N'High', 410, 260.0000, 12.0000, 4920.0000, 639.6000, 4280.4000, 1230.0000, 3050.4000, 1, 1, 4, '20181001')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (612, N'High', 1770, 260.0000, 12.0000, 21240.0000, 2761.2000, 18478.8000, 5310.0000, 13168.8000, 1, 1, 3, '20171201')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (613, N'High', 2579, 3.0000, 20.0000, 51580.0000, 7221.2000, 44358.8000, 25790.0000, 18568.8000, 3, 2, 4, '20180401')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (614, N'High', 1743, 3.0000, 20.0000, 34860.0000, 4880.4000, 29979.6000, 17430.0000, 12549.6000, 3, 2, 5, '20180501')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (615, N'High', 2996, 3.0000, 7.0000, 20972.0000, 2936.0800, 18035.9200, 14980.0000, 3055.9200, 3, 2, 5, '20171001')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (616, N'High', 280, 3.0000, 7.0000, 1960.0000, 274.4000, 1685.6000, 1400.0000, 285.6000, 3, 2, 3, '20181201')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (617, N'High', 293, 5.0000, 7.0000, 2051.0000, 287.1400, 1763.8600, 1465.0000, 298.8600, 3, 3, 2, '20180201')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (618, N'High', 2996, 5.0000, 7.0000, 20972.0000, 2936.0800, 18035.9200, 14980.0000, 3055.9200, 3, 3, 5, '20171001')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (619, N'High', 278, 10.0000, 15.0000, 4170.0000, 583.8000, 3586.2000, 2780.0000, 806.2000, 4, 4, 3, '20180201')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (620, N'High', 2428, 10.0000, 20.0000, 48560.0000, 6798.4000, 41761.6000, 24280.0000, 17481.6000, 3, 4, 1, '20180301')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (621, N'High', 1767, 10.0000, 15.0000, 26505.0000, 3710.7000, 22794.3000, 17670.0000, 5124.3000, 4, 4, 5, '20180901')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (622, N'High', 1393, 10.0000, 12.0000, 16716.0000, 2340.2400, 14375.7600, 4179.0000, 10196.7600, 1, 4, 2, '20181001')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (623, N'High', 280, 250.0000, 7.0000, 1960.0000, 274.4000, 1685.6000, 1400.0000, 285.6000, 3, 6, 3, '20181201')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (624, N'High', 1393, 260.0000, 12.0000, 16716.0000, 2340.2400, 14375.7600, 4179.0000, 10196.7600, 1, 1, 2, '20181001')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (625, N'High', 2015, 260.0000, 12.0000, 24180.0000, 3385.2000, 20794.8000, 6045.0000, 14749.8000, 1, 1, 5, '20171201')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (626, N'High', 801, 3.0000, 300.0000, 240300.0000, 33642.0000, 206658.0000, 200250.0000, 6408.0000, 5, 2, 4, '20180701')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (627, N'High', 1023, 3.0000, 125.0000, 127875.0000, 17902.5000, 109972.5000, 122760.0000, -12787.5000, 2, 2, 2, '20170901')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (628, N'High', 1496, 3.0000, 300.0000, 448800.0000, 62832.0000, 385968.0000, 374000.0000, 11968.0000, 5, 2, 1, '20181001')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (629, N'High', 1010, 3.0000, 300.0000, 303000.0000, 42420.0000, 260580.0000, 252500.0000, 8080.0000, 5, 2, 5, '20181001')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (630, N'High', 1513, 3.0000, 15.0000, 22695.0000, 3177.3000, 19517.7000, 15130.0000, 4387.7000, 4, 2, 3, '20181101')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (631, N'High', 2300, 3.0000, 15.0000, 34500.0000, 4830.0000, 29670.0000, 23000.0000, 6670.0000, 4, 2, 1, '20181201')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (632, N'High', 2821, 3.0000, 125.0000, 352625.0000, 49367.5000, 303257.5000, 338520.0000, -35262.5000, 2, 2, 4, '20171201')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (633, N'High', 2227.5, 5.0000, 350.0000, 779625.0000, 109147.5000, 670477.5000, 579150.0000, 91327.5000, 3, 3, 1, '20180101')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (634, N'High', 1199, 5.0000, 350.0000, 419650.0000, 58751.0000, 360899.0000, 311740.0000, 49159.0000, 3, 3, 3, '20180401')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (635, N'High', 200, 5.0000, 350.0000, 70000.0000, 9800.0000, 60200.0000, 52000.0000, 8200.0000, 3, 3, 1, '20180501')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (636, N'High', 388, 5.0000, 7.0000, 2716.0000, 380.2400, 2335.7600, 1940.0000, 395.7600, 3, 3, 1, '20180901')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (637, N'High', 1727, 5.0000, 7.0000, 12089.0000, 1692.4600, 10396.5400, 8635.0000, 1761.5400, 3, 3, 4, '20171001')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (638, N'High', 2300, 5.0000, 15.0000, 34500.0000, 4830.0000, 29670.0000, 23000.0000, 6670.0000, 4, 3, 1, '20181201')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (639, N'High', 260, 10.0000, 20.0000, 5200.0000, 728.0000, 4472.0000, 2600.0000, 1872.0000, 3, 4, 4, '20180201')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (640, N'High', 2470, 10.0000, 15.0000, 37050.0000, 5187.0000, 31863.0000, 24700.0000, 7163.0000, 4, 4, 1, '20170901')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (641, N'High', 1743, 10.0000, 15.0000, 26145.0000, 3660.3000, 22484.7000, 17430.0000, 5054.7000, 4, 4, 1, '20171001')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (642, N'High', 2914, 10.0000, 12.0000, 34968.0000, 4895.5200, 30072.4800, 8742.0000, 21330.4800, 1, 4, 5, '20181001')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (643, N'High', 1731, 10.0000, 7.0000, 12117.0000, 1696.3800, 10420.6200, 8655.0000, 1765.6200, 3, 4, 2, '20181001')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (644, N'High', 700, 10.0000, 350.0000, 245000.0000, 34300.0000, 210700.0000, 182000.0000, 28700.0000, 3, 4, 1, '20181101')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (645, N'High', 2222, 10.0000, 12.0000, 26664.0000, 3732.9600, 22931.0400, 6666.0000, 16265.0400, 1, 4, 1, '20171101')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (646, N'High', 1177, 10.0000, 350.0000, 411950.0000, 57673.0000, 354277.0000, 306020.0000, 48257.0000, 3, 4, 5, '20181101')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (647, N'High', 1922, 10.0000, 350.0000, 672700.0000, 94178.0000, 578522.0000, 499720.0000, 78802.0000, 3, 4, 2, '20171101')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (648, N'High', 1575, 120.0000, 125.0000, 196875.0000, 27562.5000, 169312.5000, 189000.0000, -19687.5000, 2, 5, 4, '20180201')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (649, N'High', 606, 120.0000, 20.0000, 12120.0000, 1696.8000, 10423.2000, 6060.0000, 4363.2000, 3, 5, 5, '20180401')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (650, N'High', 2460, 120.0000, 300.0000, 738000.0000, 103320.0000, 634680.0000, 615000.0000, 19680.0000, 5, 5, 5, '20180701')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (651, N'High', 269, 120.0000, 300.0000, 80700.0000, 11298.0000, 69402.0000, 67250.0000, 2152.0000, 5, 5, 1, '20171001')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (652, N'High', 2536, 120.0000, 300.0000, 760800.0000, 106512.0000, 654288.0000, 634000.0000, 20288.0000, 5, 5, 3, '20171101')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (653, N'High', 2903, 250.0000, 7.0000, 20321.0000, 2844.9400, 17476.0600, 14515.0000, 2961.0600, 3, 6, 4, '20180301')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (654, N'High', 2541, 250.0000, 300.0000, 762300.0000, 106722.0000, 655578.0000, 635250.0000, 20328.0000, 5, 6, 5, '20180801')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (655, N'High', 269, 250.0000, 300.0000, 80700.0000, 11298.0000, 69402.0000, 67250.0000, 2152.0000, 5, 6, 1, '20171001')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (656, N'High', 1496, 250.0000, 300.0000, 448800.0000, 62832.0000, 385968.0000, 374000.0000, 11968.0000, 5, 6, 1, '20181001')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (657, N'High', 1010, 250.0000, 300.0000, 303000.0000, 42420.0000, 260580.0000, 252500.0000, 8080.0000, 5, 6, 5, '20181001')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (658, N'High', 1281, 250.0000, 350.0000, 448350.0000, 62769.0000, 385581.0000, 333060.0000, 52521.0000, 3, 6, 2, '20171201')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (659, N'High', 888, 260.0000, 300.0000, 266400.0000, 37296.0000, 229104.0000, 222000.0000, 7104.0000, 5, 1, 1, '20180301')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (660, N'High', 2844, 260.0000, 125.0000, 355500.0000, 49770.0000, 305730.0000, 341280.0000, -35550.0000, 2, 1, 5, '20180501')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (661, N'High', 2475, 260.0000, 12.0000, 29700.0000, 4158.0000, 25542.0000, 7425.0000, 18117.0000, 1, 1, 2, '20180801')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (662, N'High', 1743, 260.0000, 15.0000, 26145.0000, 3660.3000, 22484.7000, 17430.0000, 5054.7000, 4, 1, 1, '20171001')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (663, N'High', 2914, 260.0000, 12.0000, 34968.0000, 4895.5200, 30072.4800, 8742.0000, 21330.4800, 1, 1, 5, '20181001')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (664, N'High', 1731, 260.0000, 7.0000, 12117.0000, 1696.3800, 10420.6200, 8655.0000, 1765.6200, 3, 1, 2, '20181001')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (665, N'High', 1727, 260.0000, 7.0000, 12089.0000, 1692.4600, 10396.5400, 8635.0000, 1761.5400, 3, 1, 4, '20171001')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (666, N'High', 1870, 260.0000, 15.0000, 28050.0000, 3927.0000, 24123.0000, 18700.0000, 5423.0000, 4, 1, 4, '20171101')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (667, N'High', 1174, 3.0000, 125.0000, 146750.0000, 22012.5000, 124737.5000, 140880.0000, -16142.5000, 2, 2, 2, '20180801')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (668, N'High', 2767, 3.0000, 125.0000, 345875.0000, 51881.2500, 293993.7500, 332040.0000, -38046.2500, 2, 2, 3, '20180801')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (669, N'High', 1085, 3.0000, 125.0000, 135625.0000, 20343.7500, 115281.2500, 130200.0000, -14918.7500, 2, 2, 3, '20181001')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (670, N'High', 546, 5.0000, 300.0000, 163800.0000, 24570.0000, 139230.0000, 136500.0000, 2730.0000, 5, 3, 4, '20181001')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (671, N'High', 1158, 10.0000, 20.0000, 23160.0000, 3474.0000, 19686.0000, 11580.0000, 8106.0000, 3, 4, 3, '20180301')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (672, N'High', 1614, 10.0000, 15.0000, 24210.0000, 3631.5000, 20578.5000, 16140.0000, 4438.5000, 4, 4, 1, '20180401')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (673, N'High', 2535, 10.0000, 7.0000, 17745.0000, 2661.7500, 15083.2500, 12675.0000, 2408.2500, 3, 4, 4, '20180401')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (674, N'High', 2851, 10.0000, 350.0000, 997850.0000, 149677.5000, 848172.5000, 741260.0000, 106912.5000, 3, 4, 4, '20180501')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (675, N'High', 2559, 10.0000, 15.0000, 38385.0000, 5757.7500, 32627.2500, 25590.0000, 7037.2500, 4, 4, 1, '20180801')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (676, N'High', 267, 10.0000, 20.0000, 5340.0000, 801.0000, 4539.0000, 2670.0000, 1869.0000, 3, 4, 5, '20171001')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (677, N'High', 1085, 10.0000, 125.0000, 135625.0000, 20343.7500, 115281.2500, 130200.0000, -14918.7500, 2, 4, 3, '20181001')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (678, N'High', 1175, 10.0000, 15.0000, 17625.0000, 2643.7500, 14981.2500, 11750.0000, 3231.2500, 4, 4, 3, '20181001')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (679, N'High', 2007, 10.0000, 350.0000, 702450.0000, 105367.5000, 597082.5000, 521820.0000, 75262.5000, 3, 4, 5, '20171101')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (680, N'High', 2151, 10.0000, 350.0000, 752850.0000, 112927.5000, 639922.5000, 559260.0000, 80662.5000, 3, 4, 4, '20171101')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (681, N'High', 914, 10.0000, 12.0000, 10968.0000, 1645.2000, 9322.8000, 2742.0000, 6580.8000, 1, 4, 5, '20181201')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (682, N'High', 293, 10.0000, 20.0000, 5860.0000, 879.0000, 4981.0000, 2930.0000, 2051.0000, 3, 4, 2, '20181201')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (683, N'High', 500, 120.0000, 12.0000, 6000.0000, 900.0000, 5100.0000, 1500.0000, 3600.0000, 1, 5, 4, '20180301')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (684, N'High', 2826, 120.0000, 15.0000, 42390.0000, 6358.5000, 36031.5000, 28260.0000, 7771.5000, 4, 5, 2, '20180501')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (685, N'High', 663, 120.0000, 125.0000, 82875.0000, 12431.2500, 70443.7500, 79560.0000, -9116.2500, 2, 5, 2, '20180901')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (686, N'High', 2574, 120.0000, 300.0000, 772200.0000, 115830.0000, 656370.0000, 643500.0000, 12870.0000, 5, 5, 5, '20171101')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (687, N'High', 2438, 120.0000, 125.0000, 304750.0000, 45712.5000, 259037.5000, 292560.0000, -33522.5000, 2, 5, 5, '20171201')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (688, N'High', 914, 120.0000, 12.0000, 10968.0000, 1645.2000, 9322.8000, 2742.0000, 6580.8000, 1, 5, 5, '20181201')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (689, N'High', 865.5, 250.0000, 20.0000, 17310.0000, 2596.5000, 14713.5000, 8655.0000, 6058.5000, 3, 6, 1, '20180701')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (690, N'High', 492, 250.0000, 15.0000, 7380.0000, 1107.0000, 6273.0000, 4920.0000, 1353.0000, 4, 6, 3, '20180701')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (691, N'High', 267, 250.0000, 20.0000, 5340.0000, 801.0000, 4539.0000, 2670.0000, 1869.0000, 3, 6, 5, '20171001')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (692, N'High', 1175, 250.0000, 15.0000, 17625.0000, 2643.7500, 14981.2500, 11750.0000, 3231.2500, 4, 6, 3, '20181001')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (693, N'High', 2954, 250.0000, 125.0000, 369250.0000, 55387.5000, 313862.5000, 354480.0000, -40617.5000, 2, 6, 1, '20171101')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (694, N'High', 552, 250.0000, 125.0000, 69000.0000, 10350.0000, 58650.0000, 66240.0000, -7590.0000, 2, 6, 3, '20181101')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (695, N'High', 293, 250.0000, 20.0000, 5860.0000, 879.0000, 4981.0000, 2930.0000, 2051.0000, 3, 6, 2, '20181201')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (696, N'High', 2475, 260.0000, 300.0000, 742500.0000, 111375.0000, 631125.0000, 618750.0000, 12375.0000, 5, 1, 2, '20180301')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (697, N'High', 546, 260.0000, 300.0000, 163800.0000, 24570.0000, 139230.0000, 136500.0000, 2730.0000, 5, 1, 4, '20181001')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (698, N'High', 1368, 5.0000, 7.0000, 9576.0000, 1436.4000, 8139.6000, 6840.0000, 1299.6000, 3, 3, 4, '20180201')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (699, N'High', 723, 10.0000, 7.0000, 5061.0000, 759.1500, 4301.8500, 3615.0000, 686.8500, 3, 4, 1, '20180401')
INSERT INTO [dbo].[SalesFact] ([Id], [DiscountBand], [UnitsSold], [ManufacturingPrice], [SalePrice], [GrossSales], [Discounts], [Sales], [COGS], [Profit], [SegmentId], [ProductId], [CountryId], [Date]) VALUES (700, N'High', 1806, 250.0000, 12.0000, 21672.0000, 3250.8000, 18421.2000, 5418.0000, 13003.2000, 1, 6, 5, '20180501')
SET IDENTITY_INSERT [dbo].[SalesFact] OFF
COMMIT TRANSACTION
